package com.abi.platform.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author: fangxinjian
 * @date: 2021/06/04 11:42
 * @description: sap批量导入新增物料数据
 */
@Data
@ApiModel
public class BatchImportMaterialReq implements Serializable {

    @ApiModelProperty("sap导入新增物料List")
    private List<BatchImportMaterial> batchImportMaterialList;


    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @ApiModel(value = "BatchImportMaterialReq_BatchImportMaterial")
    public static class BatchImportMaterial implements Serializable {

        @ApiModelProperty(value = "sap物料id")
        private String sapMaterialId;

        @ApiModelProperty(value = "sap物料名称")
        private String sapMaterialName;

    }

}
