package com.abi.platform.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author: fangxinjian
 * @date: 2021/06/01 17:22
 * @description: 批量到入组织架构数据入参
 */
@Data
@ApiModel
public class BatchImportOrganizationReq implements Serializable {

    @ApiModelProperty("组织架构List")
    private List<SapOrganization> organizationList;


    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @ApiModel(value = "BatchImportOrganizationReq_SapOrganization")
    public static class SapOrganization implements Serializable {

        @ApiModelProperty(value = "组织架构代码")
        private String customerCode;

        @ApiModelProperty(value = "组织架构名称")
        private String customerName;

        @ApiModelProperty(value = "上级组织代码")
        private String parentCode;

        @ApiModelProperty(value = "层级 0-国家 1-bu 2-region 3-area 4-terrion")
        private Integer organizationLevel;

        @ApiModelProperty(value = "省")
        private String province;

    }
}
