package com.abi.platform.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author: fangxinjian
 * @date: 2021/06/07 09:31
 * @description: 批量导入sap物料订单明细数据入参
 */
@Data
@ApiModel
public class BatchImportPackageSapOrderItemReq implements Serializable {

    @ApiModelProperty("sap物料订单明细List")
    private List<BatchImportSapOrderItem> batchImportSapOrderItemList;


    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @ApiModel(value = "BatchImportPackageSapOrderItemReq_BatchImportSapOrderItem")
    public static class BatchImportSapOrderItem implements Serializable {

        @ApiModelProperty(value = "sap订单号")
        private String sapOrderNo;

        @ApiModelProperty(value = "sap物料id")
        private String sapMaterialId;

        @ApiModelProperty(value = "sap物料名称")
        private String sapMaterialName;

        @ApiModelProperty(value = "sap供应商id（包材厂）")
        private String sapCoverFactoryId;

        @ApiModelProperty(value = "sap啤酒厂id")
        private String sapBeerFactoryId;

        @ApiModelProperty(value = "采购数量")
        private Long purchaseCount;

    }

}
