package com.abi.platform.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @author: fangxinjian
 * @date: 2021/06/04 17:33
 * @description: sap导入码包订单入参数据
 */
@Data
@ApiModel
public class BatchImportPackageSapOrderReq implements Serializable {

    @ApiModelProperty("sap码包订单List")
    private List<BatchImportSapOrder> batchImportSapOrderList;


    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @ApiModel(value = "BatchImportPackageSapOrderReq_BatchImportSapOrder")
    public static class BatchImportSapOrder implements Serializable {

        @ApiModelProperty(value = "sap订单号")
        private String sapOrderNo;

        @ApiModelProperty(value = "订单发起时间")
        private LocalDateTime sapOrderCommitTime;

    }


}
