package com.abi.platform.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author: fangxinjian
 * @date: 2021/06/04 17:15
 * @description: 导入sap啤酒厂入参数据
 */
@Data
@ApiModel
public class BatchImportSapBeerFactoryReq implements Serializable {

    @ApiModelProperty("sap导入啤酒厂List")
    private List<BatchImportBeerFactory> batchImportBeerFactoryList;


    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @ApiModel(value = "BatchImportSapBeerFactoryReq_BatchImportBeerFactory")
    public static class BatchImportBeerFactory implements Serializable {

        @ApiModelProperty(value = "sap啤酒场id")
        private String sapBeerFactoryId;

        @ApiModelProperty(value = "sap啤酒厂名称")
        private String sapBeerFactoryName;

    }
}
