package com.abi.task.common.api.base;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.Min;
import java.io.Serializable;

/**
 * @author:史良兵
 * @Date:2020/11/21 17:57
 * @Description: 分页请求对象
 */
@Data
@ToString
@ApiModel
public class PageReq implements Serializable {

    private static final long serialVersionUID = 1087620954702833748L;

    @ApiModelProperty(value = "分页大小", required = false)
    @Min(value = 1, message = "分页大小不能小于1")
    private Integer pageSize = 20;

    @ApiModelProperty(value = "分页索引", required = false)
    @Min(value = 1, message = "页码不能小于1")
    private Integer pageNo = 1;

    @ApiModelProperty(value = "排序字段", required = false)
    private String sort;

    @ApiModelProperty(value = "是否降序", required = false)
    private boolean descend;

    public PageReq() {
    }

    public PageReq(Integer pageNo, Integer pageSize) {
        this.pageNo = pageNo;
        this.pageSize = pageSize;
    }

    public Integer getPageNo() {
        if(pageNo == 0){
            pageNo = 1;
        }
        return pageNo;
    }

}