package com.abi.task.common.api.base;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

/**
 * @author:史良兵
 * @Date:2020/11/19 10:31
 * @Description: 分页返回对象
 */
@Data
@ApiModel
@ToString
public class PageResp{

    @ApiModelProperty(value = "分页大小")
    protected Integer pageSize;

    @ApiModelProperty(value = "当前页")
    protected Integer pageNo;

    @ApiModelProperty(value = "总返回数")
    protected Long totalNumber;

    @ApiModelProperty(value = "总页数")
    protected Long totalPage;

    public PageResp() {
    }

    public PageResp(PageReq pageReq) {
        pageSize = pageReq.getPageSize();
        pageNo = pageReq.getPageNo();
    }

    public PageResp(PageReq pageReq, Long totalNumber) {
        pageSize = pageReq.getPageSize();
        pageNo = pageReq.getPageNo();
        this.totalNumber = totalNumber;
    }


    public Long getTotalNumber() {
        return totalNumber != null ? totalNumber : 0;
    }

    public Long getTotalPage() {
        if (totalNumber == null) {
            return 0L;
        }
        if (totalPage == null) {
            totalPage = (totalNumber + pageSize - 1) / pageSize;
        }
        return totalPage;
    }

}
