package com.abi.task.common.api.exception;

import lombok.Data;

/**
 * @author:史良兵 @Date:2020/11/19 9:44 @Description: 业务异常类
 */
@Data
public class BusinessException extends RuntimeException {

    private static final long serialVersionUID = 1L;

    private Integer code;
    private ErrorCodeEnum errorCodeEnum;

    public BusinessException(Integer code, String message) {
        super(message);
        setCode(code);
    }

    public BusinessException(ErrorCodeEnum errorCodeEnum) {
        super(errorCodeEnum.getMessage());
        this.errorCodeEnum = errorCodeEnum;
        setCode(errorCodeEnum.getCode());
    }

    public BusinessException(String message) {
        super(message);
    }

    public BusinessException(String message, Throwable cause) {
        super(message, cause);
    }

    public BusinessException(Throwable ex) {
        super(ex);
    }

}
