package com.abi.task.common.excel.preperties;


import com.abi.task.common.excel.common.AbstractExcelProperty;
import com.abi.task.common.excel.common.ExcelHeadAlias;
import lombok.Data;

/**
 * 活动
 * @author Andy.Tan
 */
@Data
public class FactoryProperty implements AbstractExcelProperty {

    @ExcelHeadAlias(value = "供应商ID(必填)")
    private String factoryCode;

    @ExcelHeadAlias(value = "供应商名称（必填）")
    private String factoryName;

    @ExcelHeadAlias(value = "供应商类型（必填，单选）（枚举值：包材厂，二级包材厂，啤酒厂）")
    private String factoryType;

    @ExcelHeadAlias(value = "是否一级包材厂（包材厂必填）（枚举值：是，否）")
    private String isFirstFactory;

    @ExcelHeadAlias(value = "省（包材厂、二级包材厂必填）")
    private String province;

    @ExcelHeadAlias(value = "市（包材厂、二级包材厂必填）")
    private String city;

    @ExcelHeadAlias(value = "区（包材厂、二级包材厂必填）")
    private String district;

    @ExcelHeadAlias(value = "详细地址（包材厂、二级包材厂必填）")
    private String address;

    @ExcelHeadAlias(value = "联系人姓名（包材厂、二级包材厂必填）")
    private String keymanName;

    @ExcelHeadAlias(value = "联系人手机号（包材厂、二级包材厂必填）")
    private String keymanMobile;

    @ExcelHeadAlias(value = "邮箱（包材厂、二级包材厂必填）")
    private String email;

    @ExcelHeadAlias(value = "文件最大数（选填）")
    private String maxFileCount;

    @ExcelHeadAlias(value = "描述")
    private String description;

}
