package com.abi.task.common.excel.preperties;

import com.abi.task.common.excel.common.AbstractExcelProperty;
import com.abi.task.common.excel.common.ExcelHeadAlias;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author Eurus
 * @date 2021/6/21 16:31
 * @Description: 箱码合一导出数据参数
 */
@Data
public class QrBoxExportProperty implements AbstractExcelProperty {

    @ExcelHeadAlias(value = "条码序号")
    private String boxCode;

    @ExcelHeadAlias(value = "起始序号")
    private Long indexBegin;

    @ExcelHeadAlias(value = "结束序号")
    private Long indexEnd;

    @ExcelHeadAlias(value = "条数")
    private Long qrCodeCount;

    @ExcelHeadAlias(value = "项目号")
    private String projectNo;

    @ExcelHeadAlias(value = "板号")
    private String boardNo;

    @ExcelHeadAlias(value = "描述")
    private String remark;

    @ExcelHeadAlias(value = "创建人")
    private String createUserName;

    @ExcelHeadAlias(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    @ExcelHeadAlias(value = "激活时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime activeTime;

    @ExcelHeadAlias(value = "激活人")
    private String activeUserName;

    @ExcelHeadAlias(value = "激活厂商")
    private String factoryName;

    @ExcelHeadAlias(value = "是否激活")
    private String activeStatus;

}
