package com.abi.task.common.utils;

import java.math.BigDecimal;

public class DistanceUtil {
    private static final double EARTH_RADIUS = 6378.137;


    public static String getDistance(final BigDecimal lat1, final BigDecimal lng1, final BigDecimal lat2, final BigDecimal lng2) {

        final String distance = String.valueOf(calcDistance(lat1, lng1, lat2, lng2));

        return distance.substring(0, distance.indexOf("."));
    }


    private static double rad(final double d) {
        return d * Math.PI / 180.0;
    }

    /**
     * @return ：单位米
     * @param:
     * @Description: 俩经纬度距离计算
     */
    public static double calcDistance(final BigDecimal lat1, final BigDecimal lng1, final BigDecimal lat2, final BigDecimal lng2) {

        final double radLat1 = rad(lat1.doubleValue());
        final double radLat2 = rad(lat2.doubleValue());

        final double a = radLat1 - radLat2;
        final double b = rad(lng1.doubleValue()) - rad(lng2.doubleValue());
        double s = 2 * Math.asin(Math.sqrt(Math.pow(Math.sin(a / 2), 2)
                + Math.cos(radLat1) * Math.cos(radLat2)
                * Math.pow(Math.sin(b / 2), 2)));
        s = s * EARTH_RADIUS;
        s = Math.round(s * 10000d) / 10000d;
        return s * 1000;
    }
}
