package com.abi.task.common.utils;

import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;

@Slf4j
public class IMathUtils {

    /**
     * 如果Integer为null返回0，否则返回它的值
     * @param num
     * @return
     */
    public static int asInt(Integer num){
        if(num==null){
            return 0;
        }
        return num.intValue();
    }

    /**
     * 字符串转Long
     * @param str
     * @return
     */
    public static Long toLong(String str){
        if(StringUtils.isBlank(str)){
            return null;
        }
        try{
            return Long.valueOf(str);
        }catch(Exception e){
            log.error("toLong error",e);
            return null;
        }
    }

}
