package com.abi.qms.platform.controller.console;

import com.abi.qms.platform.dto.req.ListBrandForSelectReq;
import com.abi.qms.platform.dto.res.ListBrandForSelectRes;
import com.abi.qms.platform.service.BrandService;
import com.abi.task.common.api.base.BaseResponse;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 品牌管理
 * </p>
 *
 * @author Andy.Tan
 */
@Slf4j
@RestController
@RequestMapping("brand")
@Api(tags = "品牌管理")
public class BrandController {

    @Autowired
    private BrandService brandService;

    @ApiOperation("下拉选择品牌列表")
    @GetMapping("listBrandForSelect")
    public BaseResponse<ListBrandForSelectRes> listBrandForSelect(@Validated ListBrandForSelectReq listBrandForSelectReq) throws Exception{
        //下拉选择品牌列表
        ListBrandForSelectRes  result = brandService.listBrandForSelect(listBrandForSelectReq);
        //包装出参
        return BaseResponse.create(result);
    }



}








