package com.abi.qms.platform.controller.console;

import com.abi.qms.platform.dto.req.*;
import com.abi.qms.platform.service.QrPackageBatchService;
import com.abi.task.common.api.base.BaseResponse;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;


/**
 * 批次号 Controller
 *
 * @author guokaixiang
 * @date 2021-06-08
 */
@Slf4j
@RestController
@Api(tags = "批次号管理")
@RequestMapping("/qrPackageBatch")
public class QrPackageBatchController {

    @Autowired
    private QrPackageBatchService qrPackageBatchService;


    @ApiOperation("批次号修改")
    @PostMapping("/updateQrFormatBatch")
    public BaseResponse saveQrFormat(@Validated @RequestBody UpdateQrPackageBatchReq updateQrPackageBatchReq) {
        qrPackageBatchService.updateQrPackageBatchReq(updateQrPackageBatchReq);
        return BaseResponse.create();
    }

}
