package com.abi.qms.platform.controller.console;

import com.abi.qms.platform.dto.req.GetQrSingleCheckDetailCodeReq;
import com.abi.qms.platform.dto.req.InvalidQrSingleReq;
import com.abi.qms.platform.dto.res.GetQrSingleCheckDetailRes;
import com.abi.qms.platform.service.QrPackageService;
import com.abi.task.common.api.base.BaseResponse;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 单码查询 Controller
 *
 * @author KaixiangGuo
 * @date 2021-05-27
 */
@Slf4j
@RestController
@Api(tags = "单码查询")
@RequestMapping("/qrSingleCheck")
public class QrSingleCheckController {

    @Autowired
    private QrPackageService qrPackageService;


    @ApiOperation("单码查询详情")
    @GetMapping("/getQrSingleCheckDetail")
    public BaseResponse<GetQrSingleCheckDetailRes> getQrSelectDetail(@Validated GetQrSingleCheckDetailCodeReq getQrSingleCheckDetailCodeReq) {
        GetQrSingleCheckDetailRes result = qrPackageService.getQrSingleCheckDetail(getQrSingleCheckDetailCodeReq);
        return BaseResponse.create(result);
    }

    @ApiOperation("作废")
    @PostMapping("/invalid")
    public BaseResponse invalidQrSingle(@RequestBody InvalidQrSingleReq invalidQrSingleReq) {

        qrPackageService.invalidQrSingle(invalidQrSingleReq);
        return BaseResponse.create();
    }
}
