package com.abi.qms.platform.controller.special;

import com.abi.qms.platform.annotation.PassToken;
import com.abi.qms.platform.infrastructure.frontend.AutoApiUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.*;

import javax.websocket.server.PathParam;

/**
 * @author AndyTan
 * @date 2021-06-11
 */
@Slf4j
@RestController
@RequestMapping("/frontend/react")
@Api(tags = "前端自动接口生成")
public class ReactAutoApiController {

    @Autowired
    private AutoApiUtil autoApiUtil;

    @PassToken
    @ApiOperation("自动生成前端api")
    @GetMapping(value = "/{controllerDesc}",produces = "text/html;charset=utf-8")
    public String autoApi(@PathVariable(value = "controllerDesc") String controllerDesc) throws Exception {
        String s = autoApiUtil.generateOneController(controllerDesc);
        System.out.println(s);
        return s;
    }

}
