package com.abi.qms.platform.controller.wx;

import com.abi.qms.platform.dto.req.DeleteBreweryProductionLineReq;
import com.abi.qms.platform.dto.req.QueryListBreweryProductionLineReq;
import com.abi.qms.platform.dto.req.SaveBreweryProductionLineReq;
import com.abi.qms.platform.dto.res.QueryListBreweryProductionLineRes;
import com.abi.qms.platform.service.BreweryProductionLineService;
import com.abi.task.common.api.base.BaseResponse;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

/**
 * @author lu
 * @date 2021年06月09日 14:02
 */
@Slf4j
@RestController
@RequestMapping("/wxBreweryProductionLine")
@Api(tags = "产线管理")
public class WxBreweryProductionLineController {

    @Autowired
    private BreweryProductionLineService breweryProductionLineService;

    /**
     * 新增接口
     * @author lu
     * @date 2021/6/9 14:37
     * @param saveBreweryProductionLineReq
     * @return com.abi.task.common.api.base.BaseResponse
     */
    @ApiOperation("新增产线")
    @PostMapping("/saveBreweryProductionLine")
    public BaseResponse saveBreweryProductionLine(@Validated @RequestBody SaveBreweryProductionLineReq saveBreweryProductionLineReq) {
        breweryProductionLineService.saveBreweryProductionLine(saveBreweryProductionLineReq);
        return BaseResponse.create();
    }

    /**
     * 删除 接口
     * @author lu
     * @date 2021/6/9 14:37
     * @param req
     * @return com.abi.task.common.api.base.BaseResponse
     */
    @ApiOperation("删除产线")
    @PostMapping("/deleteBreweryProductionLine")
    public BaseResponse deleteBreweryProductionLine(@Validated @RequestBody DeleteBreweryProductionLineReq req) {
        breweryProductionLineService.deleteBreweryProductionLine(req);
        return BaseResponse.create();
    }

    /**
     * 查询当前登陆人的产线列表
     * @author lu
     * @date 2021/6/9 14:52
     * @param req 
     * @return com.abi.task.common.api.base.BaseResponse
     */
    @ApiOperation("查询当前登陆人的产线列表")
    @GetMapping("/queryListBreweryProductionLine")
    public BaseResponse<QueryListBreweryProductionLineRes> queryListBreweryProductionLine(@Validated QueryListBreweryProductionLineReq req) {
        QueryListBreweryProductionLineRes res = breweryProductionLineService.queryListBreweryProductionLine(req);
        return BaseResponse.create(res);
    }
}
