package com.abi.qms.platform.controller.wx;

import com.abi.qms.platform.dto.req.QueryWxFactoryReq;
import com.abi.qms.platform.dto.res.QueryWxFactoryRes;
import com.abi.qms.platform.service.ReportService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import com.abi.task.common.api.base.BaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author lu
 * @date 2021年06月09日 16:45
 */
@Slf4j
@RestController
@RequestMapping("/wxFactory")
@Api(tags = "微信报表")
public class WxFactoryController {

    @Autowired
    private ReportService reportService;

    /**
     *统计下单量
     * @author lu
     * @date 2021/6/10 11:35
     * @param queryWxFactoryReq
     * @return com.abi.task.common.api.base.BaseResponse<com.abi.qms.platform.dto.res.QueryWxFactoryRes>
     */
    @ApiOperation("统计下单量")
    @GetMapping("/queryWxFactory")
    public BaseResponse<QueryWxFactoryRes> queryWxFactory(@Validated QueryWxFactoryReq queryWxFactoryReq) {
        QueryWxFactoryRes queryWxFactoryRes = reportService.queryWxFactory(queryWxFactoryReq);
        return BaseResponse.create(queryWxFactoryRes);
    }
}
