package com.abi.qms.platform.dao.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * <p>
 * 部门信息
 * </p>
 *
 * @author Andy.Tan
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "部门信息对象", description = "部门信息")
public class BaseDepartment {

    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "部门id")
    private String deptCode;

    @ApiModelProperty(value = "部门名称")
    private String deptName;

    @ApiModelProperty(value = "部门url")
    private String deptUrl;

    @ApiModelProperty(value = "部门公众号")
    private String deptOfficialAccount;

    @ApiModelProperty(value = "描述")
    private String description;

    @ApiModelProperty(value = "是否有效 0-无效 1-有效")
    private Integer valid;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @ApiModelProperty(value = "创建人id")
    @TableField(fill = FieldFill.INSERT)
    private Long createBy;

    @ApiModelProperty(value = "修改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "是否删除")
    private Integer isDelete;

    @ApiModelProperty(name = "修改人id")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateBy;

}
