package com.abi.qms.platform.dao.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * <p>
 * sap物料表
 * </p>
 *
 * @author Andy.Tan
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Schema(name="sap物料表对象", description="sap物料表")
public class BaseSapMaterial {

	@Schema(name = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

	@Schema(name = "sap物料id")
    private String sapMaterialId;

	@Schema(name = "sap物料名称")
    private String sapMaterialName;

	@Schema(name = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

	@Schema(name = "创建人id")
    @TableField(fill = FieldFill.INSERT)
    private Long createBy;

	@Schema(name = "修改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

	@Schema(name = "修改人id")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateBy;

	@Schema(name = "是否删除")
    private Integer isDelete;



}
