package com.abi.qms.platform.dao.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * @author: fangxinjian
 * @date: 2021/06/01 17:02
 * @description:
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "组织架构表对象", description = "组织架构表")
public class BaseSapOrganization {

    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "组织架构代码")
    private String customerCode;

    @ApiModelProperty(value = "组织架构名称")
    private String customerName;

    @ApiModelProperty(value = "上级组织代码")
    private String parentCode;

    @ApiModelProperty(value = "层级 0-国家 1-bu 2-region 3-area 4-terrion")
    private Integer organizationLevel;

    @ApiModelProperty(value = "省")
    private String province;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @ApiModelProperty(value = "创建人id")
    @TableField(fill = FieldFill.INSERT)
    private Long createBy;

    @ApiModelProperty(value = "修改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "修改人id")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateBy;

    @ApiModelProperty(value = "是否删除")
    private Integer isDelete;

}
