package com.abi.qms.platform.dao.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * @author: fangxinjian
 * @date: 2021/06/02 09:35
 * @description:
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Schema(name="sku表对象", description="sku表")
public class BaseSapSku {

    @Schema(name = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @Schema(name = "商品编号（即页面上手输的skuid）")
    private String skuCode;

    @Schema(name = "sku名称")
    private String skuName;

    @Schema(name = "品牌code")
    private String brandCode;

    @Schema(name = "子品牌code")
    private String subBrandCode;

    @Schema(name = "是否有效 0-无效 1-有效")
    private Integer valid;

    @Schema(name = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @Schema(name = "创建人id")
    @TableField(fill = FieldFill.INSERT)
    private Long createBy;

    @Schema(name = "修改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    @Schema(name = "修改人id")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateBy;

    @Schema(name = "是否删除")
    private Integer isDelete;

    @Schema(name = "类型")
    private String skuType;

}
