package com.abi.qms.platform.dao.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * <p>
 * 啤酒厂激活记录
 * </p>
 *
 * @author Andy.Tan
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Schema(name="啤酒厂激活记录对象", description="啤酒厂激活记录")
public class BreweryActivateFlow {

	@Schema(name = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

	@Schema(name = "啤酒厂id 对应base_factory的id")
    private Long beerFactoryId;

	@Schema(name = "条码序号 对应qr_box_mapping的box_code")
    private String boxCode;

	@Schema(name = "激活人id")
    private Long activeBy;

	@Schema(name = "激活时间")
    private LocalDateTime activeTime;

	@Schema(name = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

	@Schema(name = "创建人id")
    @TableField(fill = FieldFill.INSERT)
    private Long createBy;

	@Schema(name = "修改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

	@Schema(name = "修改人id")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateBy;

	@Schema(name = "是否删除")
    private Integer isDelete;



}
