package com.abi.qms.platform.dao.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * @author: fangxinjian
 * @date: 2021/04/20 09:53
 * @description: 箱码幅面对象
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "箱码幅面对象", description = "箱码幅面")
public class QrBoxCodeFormat {

    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "箱码幅面名称")
    private String name;

    @ApiModelProperty(value = "部门id")
    private Long deptId;

    @ApiModelProperty(value = "码库id")
    private Long qrRepertoryId;

    @ApiModelProperty(value = "供应商id")
    private Long factoryId;

    @ApiModelProperty(value = "每卷面标量")
    private Integer colorPerRollScalar;

    @ApiModelProperty(value = "幅面数量")
    private Integer formatNumber;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "状态 1-启用 0-停用")
    private Integer state;

    @ApiModelProperty(value = "创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createBy;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @ApiModelProperty(value = "修改人")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateBy;

    @ApiModelProperty(value = "修改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "是否删除")
    private Integer isDelete;

    @ApiModelProperty("1-是系统初始化 0-手工创建")
    private Integer isSys;

    @ApiModelProperty("1-盖码默认幅面 ")
    private Integer sysType;


}
