package com.abi.qms.platform.dao.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * <p>
 * 箱码关联表
 * </p>
 *
 * @author Andy.Tan
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Schema(name = "箱码关联表对象", description = "箱码关联表")
public class QrBoxMapping {

    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "条码序号")
    private String boxCode;

    @ApiModelProperty(value = "起始序号")
    private Long indexBegin;

    @ApiModelProperty(value = "结束序号")
    private Long indexEnd;

    @ApiModelProperty(value = "起始二维码")
    private String beginQrCode;

    @ApiModelProperty(value = "结束二维码")
    private String endQrCode;

    @ApiModelProperty(value = "条数")
    private Long qrCodeCount;

    @ApiModelProperty(value = "激活状态 0-未激活 1-已激活")
    private Integer activeStatus;

    @ApiModelProperty(value = "激活时间")
    private LocalDateTime activeTime;

    @ApiModelProperty(value = "激活人id")
    private Long activeUserId;

    @ApiModelProperty(value = "激活人姓名")
    private String activeUserName;

    @ApiModelProperty(value = "码包id")
    private Long packageId;

    @ApiModelProperty(value = "项目号")
    private String projectNo;

    @ApiModelProperty(value = "版号")
    private String boardNo;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "创建人姓名")
    private String createUserName;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @ApiModelProperty(value = "创建人id")
    @TableField(fill = FieldFill.INSERT)
    private Long createBy;

    @ApiModelProperty(value = "修改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "修改人id")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateBy;

    @ApiModelProperty(value = "是否删除")
    private Integer isDelete;

    @ApiModelProperty(value = "是否作废 0-未作废 1-已作废")
    private Integer invalid;

    @ApiModelProperty(value = "产线名称")
    private String productionLineName;

    @ApiModelProperty(value = "生产日期")
    private LocalDateTime productionTime;


}
