package com.abi.qms.platform.dao.entity;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * 码数据，存储在MongoDB
 *
 * 索引
 * db.getCollection('qr_data').createIndex({"batchNumber":1})
 * db.getCollection('qr_data').createIndex({"innerDataList.code":1},{'unique':true})
 *
 * @author WeiganCai
 * @date: 2021-05-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class QrData implements Serializable {

	/** 码库id */
	private Long qrRepertoryId;

	/** 批次号 */
	private String batchNumber;

	/** 码库类型 0-系统生成 1-文本导入 */
	private Integer qrRepertoryType;

	/** 码的内部数据：即每列的数据 */
	private List<QrInnerData> innerDataList;

	/** 创建时间 */
	private LocalDateTime createTime;

}
