package com.abi.qms.platform.dao.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;
import java.io.Serializable;
import java.time.LocalDateTime;


/**
 * 码包 对象 qr_package
 *
 * @author WeiganCai
 * @date 2021-04-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@Schema(name="码包对象", description="码包信息")
public class QrPackage implements Serializable {

	@Schema(name = "码包id")
	private Long id;

	@Schema(name = "包材厂id")
	private Long factoryCoverId;

	@Schema(name = "二级包材厂id")
	private Long factoryCoverLevelTwoId;

	@Schema(name = "物料id")
	private Long materialId;

	@Schema(name = "物料号")
	private String materialCode;

	@Schema(name = "二维码类型 1-箱码 2-盖码")
	private Integer qrType;

	@Schema(name = "啤酒厂id")
	private Long factoryBeerId;

	@Schema(name = "箱码幅面id")
	private Long boxCodeFormatId;

	@Schema(name = "订单类型: 1-SAP订单 2-预订单")
	private Integer orderType;

	@Schema(name = "SAP单号")
	private String sapOrderNo;

	@Schema(name = "预订单号")
	private String bookingOrder;

	@Schema(name = "备用码包")
	private Integer standbyRatio;

	@Schema(name = "码数量")
	private Long qrNumber;

	@Schema(name = "申请原因")
	private String reasonApply;

	@Schema(name = "申请状态 0-待审核 1-审核通过 2-审核拒绝")
	private Integer applyStatus;

	@Schema(name = "生成状态 0-未生成 1-生成中 2-已生成 3-失败")
	private Integer generateStatus;

	@Schema(name = "码包生成时间")
	private LocalDateTime generateTime;

	@Schema(name = "下载路径")
	private String downloadPath;

	@Schema(name = "下载压缩文件密码")
	private String zipPassword;

	@Schema(name = "文件校验MD5")
	private String fileVerifyMd5;

	@Schema(name = "是否已下载")
    private Integer isDownload;

	@Schema(name = "下载时间")
	private LocalDateTime downloadTime;

	@Schema(name = "创建时间")
	@TableField(fill = FieldFill.INSERT)
	private LocalDateTime createTime;


	@Schema(name = "创建人id")
	@TableField(fill = FieldFill.INSERT)
	private Long createBy;

	@Schema(name = "修改时间")
	@TableField(fill = FieldFill.INSERT_UPDATE)
	private LocalDateTime updateTime;

	@Schema(name = "修改人id")
	@TableField(fill = FieldFill.INSERT_UPDATE)
	private Long updateBy;

	@Schema(name = "是否删除")
	private Integer isDelete;

	@Schema(name = "是否作废 0-未作废 1-已作废")
	private Integer invalid;

	@Schema(name = "生成码包错误堆栈信息")
	private String generateErrStackInfo;

}
