package com.abi.qms.platform.dao.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * <p>
 * 角色表
 * </p>
 *
 * @author Andy.Tan
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="角色表对象", description="角色表")
public class UserRole {

	@ApiModelProperty(value = "角色ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

	@ApiModelProperty(value = "角色code")
    private String roleCode;

	@ApiModelProperty(value = "角色name")
    private String roleName;

	@ApiModelProperty(value = "角色描述")
    private String roleDesc;

	@ApiModelProperty(value = "角色等级 0-admin 1-1级 2-2即 3-3级 4-4级 5-5级")
    private Integer roleLevel;

	@ApiModelProperty(value = "L1角色code")
    private String l1RoleCode;

	@ApiModelProperty(value = "L2角色code")
    private String l2RoleCode;

	@ApiModelProperty(value = "L3角色code")
    private String l3RoleCode;

	@ApiModelProperty(value = "L4角色code")
    private String l4RoleCode;

	@ApiModelProperty(value = "L5角色code")
    private String l5RoleCode;

    @ApiModelProperty(value = "上级角色code")
    private String parentRoleCode;

    @ApiModelProperty(value = "是否启用")
    private Integer isEnable;

	@ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

	@ApiModelProperty(value = "创建人id")
    @TableField(fill = FieldFill.INSERT)
    private Long createBy;

	@ApiModelProperty(value = "修改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

	@ApiModelProperty(value = "是否删除")
    private Integer isDelete;

    @ApiModelProperty(name = "修改人id")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateBy;

}
