package com.abi.qms.platform.dao.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.EnumSet;
import java.util.Set;

/**
 * @author Eurus
 * @date 2021/5/25 19:38
 * @Description: 活动审核状态
 */
@Getter
@AllArgsConstructor
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum ActiveAuditStatusEnum {

    //活动审核状态 1-待审核 2-通过 9-驳回
    WAIT_REVIEW(1,"待审核"),
    REVIEW_PASS(2,"审核通过"),
    REVIEW_REFUSE(9,"审核驳回");


    @EnumValue
    private Integer code;
    private String name;

    private static final Set<ActiveAuditStatusEnum> ALL = EnumSet.allOf(ActiveAuditStatusEnum.class);

    public static String getName(Integer code) {
        return ALL.stream()
                .filter(o -> o.code.equals(code))
                .map(ActiveAuditStatusEnum::getName)
                .findAny().orElse(null);
    }

    public static Integer getCode(String name) {
        return ALL.stream()
                .filter(o -> o.name.equals(name))
                .map(ActiveAuditStatusEnum::getCode)
                .findAny().orElse(null);
    }

    public boolean is(Integer code) {
        return getCode().equals(code);
    }
}
