package com.abi.qms.platform.dao.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.EnumSet;
import java.util.Set;

/**
 * @author Eurus
 * @date 2021/5/31 14:33
 * @Description: 码活动关联码包 修改类型
 */
@Getter
@AllArgsConstructor
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum ActiveModifyTypeEnum {

    //修改类型: 1-新增 2-删除 3-未修改
    ADD(1,"新增"),
    DELETE(2,"删除");


    @EnumValue
    private Integer code;
    private String name;

    private static final Set<ActiveModifyTypeEnum> ALL = EnumSet.allOf(ActiveModifyTypeEnum.class);

    public static String getName(Integer code) {
        return ALL.stream()
                .filter(o -> o.code.equals(code))
                .map(ActiveModifyTypeEnum::getName)
                .findAny().orElse(null);
    }

    public static Integer getCode(String name) {
        return ALL.stream()
                .filter(o -> o.name.equals(name))
                .map(ActiveModifyTypeEnum::getCode)
                .findAny().orElse(null);
    }

    public boolean is(Integer code) {
        return getCode().equals(code);
    }

}
