package com.abi.qms.platform.dao.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.EnumSet;
import java.util.Set;

/**
 * 箱码合一激活状态
 *
 * @Author AndyTan
 */
@Getter
@AllArgsConstructor
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum BoxMappingActiveStatusEnum {

    //箱码合一激活状态: 0-未激活 1-已激活 9-已作废
    NOT_ACTIVE(0, "未激活"),
    ACTIVATED(1, "已激活");

    @EnumValue
    private Integer code;
    private String name;

    private static final Set<BoxMappingActiveStatusEnum> ALL = EnumSet.allOf(BoxMappingActiveStatusEnum.class);

    public static String getName(Integer code) {
        return ALL.stream()
                .filter(o -> o.code.equals(code))
                .map(BoxMappingActiveStatusEnum::getName)
                .findAny().orElse(null);
    }

    public static Integer getCode(String name) {
        return ALL.stream()
                .filter(o -> o.name.equals(name))
                .map(BoxMappingActiveStatusEnum::getCode)
                .findAny().orElse(null);
    }

    public boolean is(Integer code) {
        return getCode().equals(code);
    }

}
