package com.abi.qms.platform.dao.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.EnumSet;
import java.util.Set;

/**
 * @author Eurus
 * @date 2021/5/25 14:04
 * @Description: 供应商级别
 */
@Getter
@AllArgsConstructor
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum FactoryLevelEnum {

    //供应商级别 1-一级供应商 2-二级供应商
    ONE(1, "一级供应商"),
    TWO(2, "二级供应商");

    @EnumValue
    private Integer code;
    private String name;

    private static final Set<FactoryLevelEnum> ALL = EnumSet.allOf(FactoryLevelEnum.class);

    public static String getName(Integer code) {
        return ALL.stream()
                .filter(o -> o.code.equals(code))
                .map(FactoryLevelEnum::getName)
                .findAny().orElse(null);
    }

    public static Integer getCode(String name) {
        return ALL.stream()
                .filter(o -> o.name.equals(name))
                .map(FactoryLevelEnum::getCode)
                .findAny().orElse(null);
    }

    public boolean is(Integer code) {
        return getCode().equals(code);
    }
}
