package com.abi.qms.platform.dao.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.EnumSet;
import java.util.Set;

/**
 * 供应商类型
 *
 * @Author AndyTan
 */
@Getter
@AllArgsConstructor
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum FactoryTypeEnum {

    //供应商类型: 1-包材厂 2-啤酒厂
    COVER(1, "包材厂"),
    BEER(2, "啤酒厂"),
    TWO_COVER(3, "二级包材厂");

    @EnumValue
    private Integer code;
    private String name;

    private static final Set<FactoryTypeEnum> ALL = EnumSet.allOf(FactoryTypeEnum.class);

    public static String getName(Integer code) {
        return ALL.stream()
                .filter(o -> o.code.equals(code))
                .map(FactoryTypeEnum::getName)
                .findAny().orElse(null);
    }

    public static Integer getCode(String name) {
        return ALL.stream()
                .filter(o -> o.name.equals(name))
                .map(FactoryTypeEnum::getCode)
                .findAny().orElse(null);
    }

    public boolean is(Integer code) {
        return getCode().equals(code);
    }

}
