package com.abi.qms.platform.dao.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.EnumSet;
import java.util.Set;

/**
 * @author: fangxinjian
 * @date: 2021/05/31 11:02
 * @description: 箱码合一作废状态
 */
@Getter
@AllArgsConstructor
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum InvalidEnum {

    //箱码合一作废状态: 0-未作废 1 已作废
    NOT_INVALID(0, "未作废"),
    INVALID(1, "已作废");

    @EnumValue
    private Integer code;
    private String name;

    private static final Set<InvalidEnum> ALL = EnumSet.allOf(InvalidEnum.class);

    public static String getName(Integer code) {
        return ALL.stream()
                .filter(o -> o.code.equals(code))
                .map(InvalidEnum::getName)
                .findAny().orElse(null);
    }

    public static Integer getCode(String name) {
        return ALL.stream()
                .filter(o -> o.name.equals(name))
                .map(InvalidEnum::getCode)
                .findAny().orElse(null);
    }

    public boolean is(Integer code) {
        return getCode().equals(code);
    }
}
