package com.abi.qms.platform.dao.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.EnumSet;
import java.util.Set;

/**
 * @author Eurus
 * @date 2021/5/17 19:05
 * @Description: 登录账号类型
 */
@Getter
@AllArgsConstructor
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum LoginTypeEnum {

    //供应商类型: 1-包材厂 2-非包材厂
    PACKAGE(1, "包材厂"),
    NOT_PACKAGE(2, "非包材厂");

    @EnumValue
    private Integer code;
    private String name;

    private static final Set<LoginTypeEnum> ALL = EnumSet.allOf(LoginTypeEnum.class);

    public static String getName(Integer code) {
        return ALL.stream()
                .filter(o -> o.code.equals(code))
                .map(LoginTypeEnum::getName)
                .findAny().orElse(null);
    }

    public static Integer getCode(String name) {
        return ALL.stream()
                .filter(o -> o.name.equals(name))
                .map(LoginTypeEnum::getCode)
                .findAny().orElse(null);
    }

    public boolean is(Integer code) {
        return getCode().equals(code);
    }
}
