package com.abi.qms.platform.dao.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.EnumSet;
import java.util.Set;

/**
 * 物料类型
 * @Author AndyTan
 */
@Getter
@AllArgsConstructor
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum MaterialTypeEnum {

	//全量的类型现在用不到，目前就瓶盖和纸板箱
//	//物料类型: 1-瓶子 2-PET 3-罐盖 4-瓶盖 5-纸板箱 6-塑箱 7-小桶&叉子 8-托盘
//	BOTTLE(1,"瓶子"),
//	PET(2,"PET"),
//	JAR(3,"罐盖"),
//	BOTTLE_CAP(4,"瓶盖"),
//	CARTON(5,"纸板箱"),
//	PLASTIC_BOX(6,"塑箱"),
//	BUCKET_FORK(7,"小桶&叉子"),
//	TRAY(8,"托盘");

	//物料类型: 3-罐盖 4-瓶盖 5-纸板箱
	JAR(3,"罐盖"),
	BOTTLE_CAP(4,"瓶盖"),
	CARTON(5,"纸板箱");

	@EnumValue
	private Integer code;
	private String name;

	private static final Set<MaterialTypeEnum> ALL = EnumSet.allOf(MaterialTypeEnum.class);

    public static String getName(Integer code) {
        return ALL.stream()
                .filter(o -> o.code.equals(code))
                .map(o -> o.getName())
                .findAny().orElse(null);
    }

    public static Integer getCode(String name) {
        return ALL.stream()
                .filter(o -> o.name.equals(name))
                .map(o -> o.getCode())
                .findAny().orElse(null);
    }

	public boolean is(Integer code){
		return getCode().equals(code);
	}

}
