package com.abi.qms.platform.dao.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.EnumSet;
import java.util.Set;

/**
 * 生成码包加密类型
 * @Author AndyTan
 */
@Getter
@AllArgsConstructor
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum QrCodeEncodeTypeEnum {

	//生成码包加密类型: 0-不加密 1-整个文件加密 2-单行加密
	NOT_ENCODE(0,"不加密"),
	FILE_ENCODE(1,"整个文件加密"),
	LINE_ENCODE(2,"单行加密");

	@EnumValue
	private Integer code;
	private String name;

	private static final Set<QrCodeEncodeTypeEnum> ALL = EnumSet.allOf(QrCodeEncodeTypeEnum.class);

    public static String getName(Integer code) {
        return ALL.stream()
                .filter(o -> o.code.equals(code))
                .map(o -> o.getName())
                .findAny().orElse(null);
    }

    public static Integer getCode(String name) {
        return ALL.stream()
                .filter(o -> o.name.equals(name))
                .map(o -> o.getCode())
                .findAny().orElse(null);
    }

	public boolean is(Integer code){
		return getCode().equals(code);
	}

}
