package com.abi.qms.platform.dao.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.EnumSet;
import java.util.Set;

/**
 * 码格式url类型
 *
 * @author WeiganCai
 * @date: 2021-05-06
 */
@Getter
@AllArgsConstructor
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum QrFormatUrlEnum {

	NONE(0,"非URL"),
	SYSTEM_URL(1,"系统URL"),
	DEPT_URL(2,"部门URL");

	@EnumValue
	private Integer code;
	private String name;

	private static final Set<QrFormatUrlEnum> ALL = EnumSet.allOf(QrFormatUrlEnum.class);

	public static String getName(Integer code) {
		return ALL.stream()
				.filter(o -> o.code.equals(code))
				.map(o -> o.getName())
				.findAny().orElse(null);
	}

	public static Integer getCode(String name) {
		return ALL.stream()
				.filter(o -> o.name.equals(name))
				.map(o -> o.getCode())
				.findAny().orElse(null);
	}

	public boolean is(Integer code){
		return getCode().equals(code);
	}
}
