package com.abi.qms.platform.dao.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.EnumSet;
import java.util.Set;

/**
 * 码格式是否验证重复率
 *
 * @author WeiganCai
 * @date: 2021-04-21
 */
@Getter
@AllArgsConstructor
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum QrFormatVerifyUniqueEnum {

	NOT_VERIFY_UNIQUE(0,"不验证"),
	VERIFY_UNIQUE(1,"验证");

	@EnumValue
	private Integer code;
	private String name;

	private static final Set<QrFormatVerifyUniqueEnum> ALL = EnumSet.allOf(QrFormatVerifyUniqueEnum.class);

	public static String getName(Integer code) {
		return ALL.stream()
				.filter(o -> o.code.equals(code))
				.map(o -> o.getName())
				.findAny().orElse(null);
	}

	public static Integer getCode(String name) {
		return ALL.stream()
				.filter(o -> o.name.equals(name))
				.map(o -> o.getCode())
				.findAny().orElse(null);
	}

	public boolean is(Integer code){
		return getCode().equals(code);
	}
}
