package com.abi.qms.platform.dao.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.EnumSet;
import java.util.Set;

/**
 * 码包申请状态
 *
 * @author WeiganCai
 * @date: 2021-04-29
 */
@Getter
@AllArgsConstructor
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum QrPackageApplyStatusEnum {

	WAIT_REVIEW(0,"待审核"),
	REVIEW_PASS(1,"审核通过"),
	REVIEW_REFUSE(2,"审核拒绝");

	@EnumValue
	private Integer code;
	private String name;

	private static final Set<QrPackageApplyStatusEnum> ALL = EnumSet.allOf(QrPackageApplyStatusEnum.class);

	public static String getName(Integer code) {
		return ALL.stream()
				.filter(o -> o.code.equals(code))
				.map(o -> o.getName())
				.findAny().orElse(null);
	}

	public static Integer getCode(String name) {
		return ALL.stream()
				.filter(o -> o.name.equals(name))
				.map(o -> o.getCode())
				.findAny().orElse(null);
	}

	public boolean is(Integer code){
		return getCode().equals(code);
	}
}
