package com.abi.qms.platform.dao.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.EnumSet;
import java.util.Set;

/**
 * 码包生成状态
 *
 * @author WeiganCai
 * @date: 2021-04-29
 */
@Getter
@AllArgsConstructor
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum QrPackageGenerateStatusEnum {

	UN_GENERATE(0,"未生成"),
	GENERATING(1,"生成中"),
	GENERATE_SUCCESS(2,"已生成"),
	GENERATE_FAIL(3,"失败"),
	CREATE_BEEN(4,"已创建");
	@EnumValue
	private Integer code;
	private String name;

	private static final Set<QrPackageGenerateStatusEnum> ALL = EnumSet.allOf(QrPackageGenerateStatusEnum.class);

	public static String getName(Integer code) {
		return ALL.stream()
				.filter(o -> o.code.equals(code))
				.map(o -> o.getName())
				.findAny().orElse(null);
	}

	public static Integer getCode(String name) {
		return ALL.stream()
				.filter(o -> o.name.equals(name))
				.map(o -> o.getCode())
				.findAny().orElse(null);
	}

	public boolean is(Integer code){
		return getCode().equals(code);
	}
}
