package com.abi.qms.platform.dao.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.EnumSet;
import java.util.Set;

/**
 * 码库状态
 *
 * @author WeiganCai
 * @date: 2021-04-25
 */
@Getter
@AllArgsConstructor
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum QrRepertoryStatusEnum {

	WAIT_GENERATE(10,"待生成"),
	GENERATING(11,"自动生成"),
	WAIT_IMPORT(20,"待导入"),
	IMPORTED(21,"已导入"),
	DISABLE(40,"停用");

	@EnumValue
	private Integer code;
	private String name;

	private static final Set<QrRepertoryStatusEnum> ALL = EnumSet.allOf(QrRepertoryStatusEnum.class);

	public static String getName(Integer code) {
		return ALL.stream()
				.filter(o -> o.code.equals(code))
				.map(o -> o.getName())
				.findAny().orElse(null);
	}

	public static Integer getCode(String name) {
		return ALL.stream()
				.filter(o -> o.name.equals(name))
				.map(o -> o.getCode())
				.findAny().orElse(null);
	}

	public boolean is(Integer code){
		return getCode().equals(code);
	}
}
