package com.abi.qms.platform.dao.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.EnumSet;
import java.util.Set;

/**
 * 码库类型
 *
 * @author WeiganCai
 * @date: 2021-04-25
 */
@Getter
@AllArgsConstructor
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum QrRepertoryTypeEnum {

	SYSTEM_GENERATE(1,"系统生成"),
	FILE_IMPORT(2,"文本导入"),
	FTP_ACCESS(3,"FTP接入");

	@EnumValue
	private Integer code;
	private String name;

	private static final Set<QrRepertoryTypeEnum> ALL = EnumSet.allOf(QrRepertoryTypeEnum.class);

	public static String getName(Integer code) {
		return ALL.stream()
				.filter(o -> o.code.equals(code))
				.map(o -> o.getName())
				.findAny().orElse(null);
	}

	public static Integer getCode(String name) {
		return ALL.stream()
				.filter(o -> o.name.equals(name))
				.map(o -> o.getCode())
				.findAny().orElse(null);
	}

	public boolean is(Integer code){
		return getCode().equals(code);
	}
}
