package com.abi.qms.platform.dao.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.EnumSet;
import java.util.Set;

/**
 * 码格式变量参数类型
 *
 * @author WeiganCai
 * @date: 2021-04-20
 */
@Getter
@AllArgsConstructor
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum QrVariableParamTypeEnum {

	TIME(0, "时间参数"),
	RANDOM(1, "随机参数"),
	SERIAL(2, "流水号参数"),
	FIXED_VALUE(3, "固定值参数");

	@EnumValue
	private Integer code;
	private String name;

	private static final Set<QrVariableParamTypeEnum> ALL = EnumSet.allOf(QrVariableParamTypeEnum.class);

	public static String getName(Integer code) {
		return ALL.stream()
				.filter(o -> o.code.equals(code))
				.map(o -> o.getName())
				.findAny().orElse(null);
	}

	public static Integer getCode(String name) {
		return ALL.stream()
				.filter(o -> o.name.equals(name))
				.map(o -> o.getCode())
				.findAny().orElse(null);
	}

	public boolean is(Integer code){
		return getCode().equals(code);
	}
}
