package com.abi.qms.platform.dao.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.EnumSet;
import java.util.Set;

/**
 * 角色等级
 *
 * @Author AndyTan
 */
@Getter
@AllArgsConstructor
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum RoleLevelEnum {

    //角色等级: 0-admin 1-1级 2-2即 3-3级 4-4级 5-5级
    ADMIN(0, "admin"),
    LEVEL_1(1, "1级"),
    LEVEL_2(2, "2即"),
    LEVEL_3(3, "3级"),
    LEVEL_4(4, "4级"),
    LEVEL_5(5, "5级");

    @EnumValue
    private Integer code;
    private String name;

    private static final Set<RoleLevelEnum> ALL = EnumSet.allOf(RoleLevelEnum.class);

    public static String getName(Integer code) {
        return ALL.stream()
                .filter(o -> o.code.equals(code))
                .map(RoleLevelEnum::getName)
                .findAny().orElse(null);
    }

    public static Integer getCode(String name) {
        return ALL.stream()
                .filter(o -> o.name.equals(name))
                .map(RoleLevelEnum::getCode)
                .findAny().orElse(null);
    }

    public boolean is(Integer code) {
        return getCode().equals(code);
    }

}
