package com.abi.qms.platform.dao.mapper;

import com.abi.qms.platform.dao.entity.QrBoxMapping;
import com.abi.qms.platform.dao.vo.result.ActivateDetailVo;
import com.abi.qms.platform.dao.vo.result.ActivationRecordVO;
import com.abi.qms.platform.dao.vo.result.PrintingDetailVO;
import com.abi.qms.platform.dao.vo.result.QrBoxMappingVO;
import com.abi.qms.platform.dao.vo.result.QueryWxQrBoxMappingDetailsVO;
import com.abi.qms.platform.dto.req.*;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 箱码关联表 Mapper 接口
 * </p>
 *
 * @author Andy.Tan
 */
public interface QrBoxMappingMapper extends BaseMapper<QrBoxMapping> {

    /**
     * 分页查询箱码合一
     *
     * @param page
     * @param req
     * @return
     */
    IPage<QrBoxMappingVO> listQrBoxCodeMapping(IPage page, @Param("req") ListQrBoxCodeMappingReq req);

    /**
     * 根据条码序号查询箱码合一打印详情
     *
     * @param boxCode 条码序号
     * @return
     */
    PrintingDetailVO getPrintingDetail(@Param("boxCode") String boxCode);

    /**
     * 根据码包ID和序列号查询关联激活信息单条数据
     *
     * @param req
     * @return
     */
    QrBoxMapping getIndexQrBoxCodeMappingOne(@Param("req") QrOneBoxCodeMappingReq req);

    /**
     * 微信 - 箱码/条码详情
     *
     * @param req
     * @return com.abi.qms.platform.dao.vo.result.QueryWxQrBoxMappingDetailsVO
     * @author lu
     * @date 2021/6/9 11:25
     */
    QueryWxQrBoxMappingDetailsVO queryWxQrBoxMappingDetails(@Param("req") QueryWxQrBoxMappingDetailsWxReq req);

    /**
     * 查询激活记录
     *
     * @param req
     * @return
     */
    List<ActivationRecordVO> getActivationRecord(@Param("req") ActivationRecordReq req);

    /**
     * 查询激活详情
     *
     * @param boxCode
     * @return
     */
    ActivateDetailVo getActivateDetail(@Param("boxCode") String boxCode);


    /**
     * 查询箱码合一List
     * @param activeStatus
     * @param packageId
     * @return
     */
    List<QrBoxMappingVO> listQrBoxCodeMappingForExcel(@Param("activeStatus") Integer activeStatus,@Param("packageId") Long packageId);
}
