package com.abi.qms.platform.dao.mapper;

import com.abi.qms.platform.dao.entity.QrPackageBookingOrder;
import com.abi.qms.platform.dao.vo.result.QueryOrderFormDetailVO;
import com.abi.qms.platform.dao.vo.result.QueryOrderFormLimitVO;
import com.abi.qms.platform.dao.vo.result.ReservationOrderQueryVO;
import com.abi.qms.platform.dto.req.QueryOrderFormDetailReq;
import com.abi.qms.platform.dto.req.QueryOrderFormLimitReq;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 码包预订单表 Mapper 接口
 * </p>
 *
 * @author Andy.Tan
 */
public interface QrPackageBookingOrderMapper extends BaseMapper<QrPackageBookingOrder> {

    /**
     * 查看预订单详情
     * @author ludashi
     * @date 2021/6/4 16:37
     * @param queryOrderFormDetailReq
     */
    List<QueryOrderFormDetailVO> queryOrderFormDetail(@Param("queryOrderFormDetailReq")QueryOrderFormDetailReq queryOrderFormDetailReq);

    /**
     * 查看预订单查询分页
     * @author ludashi
     * @date 2021/6/7 9:48
     * @param page
     * @param queryOrderFormLimitReq
     */
    IPage<QueryOrderFormLimitVO> queryOrderFormLimit(IPage page, @Param("queryOrderFormLimitReq") QueryOrderFormLimitReq queryOrderFormLimitReq);

    /**
     * 预订单下拉框选项
     * @author ludashi
     * @date 2021/6/7 18:14
     */
    List<ReservationOrderQueryVO> reservationOrderQuery();

}
