package com.abi.qms.platform.dao.mapper;

import com.abi.qms.platform.dao.entity.QrRepertory;
import com.abi.qms.platform.dao.vo.result.QrRepertorySelectDetailVO;
import com.abi.qms.platform.dao.vo.result.QrRepertoryVO;
import com.abi.qms.platform.dto.req.ListQrRepertoryReq;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 码库 Mapper接口
 *
 * @author WeiganCai
 * @date 2021-04-25
 */
public interface QrRepertoryMapper extends BaseMapper<QrRepertory> {

    /**
     * 分页查询码库信息
     */
    IPage<QrRepertoryVO> listQrRepertory(IPage page, @Param("param") ListQrRepertoryReq param);

    /**
     * 查询码库详细信息
     */
    QrRepertoryVO selectQrRepertoryDetailById(@Param("id") Long id);

    /**
     * 根据码格式id查询与码库关联的，未禁用的码库
     *
     * @param qrFormatId
     * @return
     */
    List<String> selectNotDisabledQrRepertory(@Param("qrFormatId") Long qrFormatId);

    /**
     * 码库下拉详情
     *
     * @param id
     * @return
     */
    List<QrRepertorySelectDetailVO> listQrRepertorySelectDetail(@Param("id") String id);
}
