package com.abi.qms.platform.dao.mapper;

import com.abi.qms.platform.dao.vo.result.*;
import com.abi.qms.platform.dto.req.QueryWxFactoryReq;
import com.abi.qms.platform.dto.req.ReportReq;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @author ludashi
 * @date 2021年06月02日 15:40
 */
public interface ReportServiceMapper  {
    
    /**
     * (603版 品牌使用码量占比列表 已废弃)
     * @author ludashi
     * @date 2021/6/2 17:50
     * @param reportReq
     * @return java.util.List<com.abi.qms.platform.dao.vo.result.ListBrandCodeReportVO>
     */
    //List<ListBrandCodeReportVO> queryBrandCodeProportion(@Param("reportReq") ReportReq reportReq);

    /**
     * 生成码下载码总量
     * @param beginDate 开始时间
     * @param endDate 结束时间
     * @param type 判断 1-生成码 2-下载码
     * @return
     */
    ListPackageCodeVo queryPackageCodeNum(@Param("beginDate")String beginDate,@Param("endDate")String endDate,@Param("type")Integer type);

    /**
     * 激活码总量
     * @param beginDate
     * @param endDate
     * @return
     */
    ListPackageCodeVo queryActivateCodeNum(@Param("beginDate")String beginDate,@Param("endDate")String endDate);


    /**
     * 物料使用码量排名
     * @param reportReq
     * @return
     */
    List<ListMaterialCodeReportVO> queryMaterialCodeRanking(@Param("reportReq") ReportReq reportReq);

    /**
     * 包材厂使用码量，下载率
     * @param reportReq
     * @return
     */
    List<ListFactoryCodeReportVO> queryFactoryCodeTotal(@Param("reportReq") ReportReq reportReq);

    /**
     * 统计下单量
     * @author lu
     * @date 2021/6/10 11:36
     * @param req
     * @return java.util.List<com.abi.qms.platform.dao.vo.result.QueryWxFactoryVO>
     */
    List<QueryWxFactoryVO> queryWxFactorySumNumber(@Param("req") QueryWxFactoryReq req, @Param("month") LocalDateTime month);

    /**
     * 统计下载量
     * @author lu
     * @date 2021/6/10 11:36
     * @param req
     * @return java.util.List<com.abi.qms.platform.dao.vo.result.QueryWxFactoryVO>
     */
    List<QueryWxFactoryVO> queryWxFactoryActivationNumber(@Param("req") QueryWxFactoryReq req, @Param("month") LocalDateTime month);


}
