package com.abi.qms.platform.dao.mapper;

import com.abi.qms.platform.dao.entity.UserInfo;
import com.abi.qms.platform.dao.entity.UserRole;
import com.abi.qms.platform.dao.vo.result.ListRoleVO;
import com.abi.qms.platform.dto.req.ListRoleReq;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 角色表 Mapper 接口
 * </p>
 *
 * @author Andy.Tan
 */
public interface UserRoleMapper extends BaseMapper<UserRole> {

    /**
     * 查询某个角色下的角色 列表
     * @param roleCode
     * @return
     */
    IPage<ListRoleVO> listRoleFromRootRoleCode(IPage<ListRoleVO> page,@Param("param")ListRoleReq req,
                                               @Param("roleCode") String roleCode,
                                               @Param("roleLevel")Integer roleLevel);

    /**
     * 查询角色树（启用中）
     * @param role
     * @return
     */
    List<UserRole> listRoleTreeEnable(@Param("role") UserRole role);

    /**
     * 查询角色树
     * @param role
     * @return
     */
    List<UserRole> listRoleTree(@Param("role") UserRole role);

    /**
     * 查询某个角色关联的用户
     * @param roleCode
     * @return
     */
    Long countList(@Param("roleCode")String roleCode);

    /**
     * 查询禁用的上级角色
     * @param roleCode
     * @return
     */
    List<UserRole> superiorRoleDisable(@Param("roleCode")String roleCode);


    /**
     * 查询启用中的下级角色
     * @param roleCode
     * @return
     */
    List<UserRole> subordinateRoleEnable(@Param("roleCode")String roleCode, @Param("roleLevel")Integer roleLevel);


}
