package com.abi.qms.platform.dao.tablestore.entity;

import com.abi.task.common.tablestore.common.TableStore;
import com.abi.task.common.tablestore.common.TableStoreEntity;
import com.abi.task.common.tablestore.common.TableStoreIndex;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * ludashi
 * tablestore
 */
@Data
@NoArgsConstructor
@TableStore(tableName = "qr_code", primaryKeyName = "code")
public class QrCode implements TableStoreEntity, Serializable {

    /**
     * 主键码
     */
    private String code;

    /**
     * 码包id
     */
    @TableStoreIndex(indexName = "index_package_id")
    private Long packageId;

    /**
     * 批次id
     */
    private Long batchNumberId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 已生成码包位置
     */
    @TableStoreIndex(indexName = "index_code_index")
    private Long codeIndex;

    /**
     * 码库列ID
     */
    private Long qrRepertoryColumnId;

    /**
     * 是否作废 0-未作废 1-已作废
     */
    private Integer invalid;
}
