package com.abi.qms.platform.dao.vo.result;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

/**
 * 码库 对象 qr_repertory
 *
 * @author WeiganCai
 * @date: 2021-04-25
 */
@Data
@ApiModel
public class QrRepertoryVO {

    @ApiModelProperty("码库id")
    private Long id;

    @ApiModelProperty("码库名称")
    private String name;

    @ApiModelProperty("码库类型 1-系统生成 2-文本导入 3-FTP接入")
    private Integer type;

    @ApiModelProperty("码库状态 10-待生成 11-自动生成 20-待导入 21-已导入 40-停用")
    private Integer status;

    @ApiModelProperty("码数据组成")
    private String dataComposition;

    @ApiModelProperty("码库的列")
    private List<QrRepertoryColumnVO> qrRepertoryColumnList;

    @ApiModelProperty("码包")
    private List<QrPackageVO> qrPackageList;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "创建人id")
    private Long createBy;

    @ApiModelProperty(value = "修改时间")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "修改人id")
    private Long updateBy;

    @ApiModelProperty(value = "修改人名称")
    private String updateByName;

}
