package com.abi.qms.platform.dto.req;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @author:Andy.Tan
 * @Description: 新增活动入参
 */
@Data
@ApiModel
public class AddActiveReq implements Serializable {

    @ApiModelProperty(value = "活动code（即页面上的手输的活动id）")
    private String activeCode;

    @NotEmpty(message = "活动名称为空")
    @ApiModelProperty(value = "活动名称")
    private String activeName;

    @NotNull(message = "活动类型为空")
    @ApiModelProperty(value = "活动类型 1-utc 2-bof 3-品质信息")
    private Integer activeType;

    @NotNull(message = "活动开始日期为空")
    @ApiModelProperty(value = "活动开始日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime beginTime;

    @NotNull(message = "活动结束日期为空")
    @ApiModelProperty(value = "活动结束日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime endTime;

    @ApiModelProperty(value = "活动tab页 1-统一URL ")
    private Integer urlTab;

    @NotEmpty(message = "活动域名为空")
    @ApiModelProperty(value = "活动域名")
    private String activeUrl;


}
