package com.abi.qms.platform.dto.req;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author:Andy.Tan
 * @Description: 新增物料入参
 */
@Data
@Schema
public class AddMaterialReq implements Serializable {

    @NotEmpty(message = "物料号为空")
    @Schema(name = "物料号")
    private String materialCode;

    @NotNull
    @Schema(name = "物料类型: 3-罐盖 4-瓶盖 5-纸板箱")
    private Integer materialType;

    @Schema(name = "是否有二维码 0-没有 1-有")
    private Integer hasQr;

    @Schema(name = "活动ID")
    private Long activeId;

    @Schema(name = "描述")
    private String description;

}
