package com.abi.qms.platform.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author ludashi
 * @date 2021年06月07日 11:43
 */
@Data
@ApiModel
public class AssociateSapOrderReq implements Serializable {

    @ApiModelProperty(value = "预订ID")
    private Long id;

    @NotNull(message = "预订单号为空")
    @ApiModelProperty(value = "预订单号")
    private String bookingOrder;

    @NotNull(message = "SAP单号为空")
    @ApiModelProperty(value = "SAP单号")
    private String sapOrder;

    @NotNull(message = "物料为空")
    @ApiModelProperty(value = "物料")
    private String materialCode;

    @NotNull(message = "二维码类型为空")
    @ApiModelProperty( "二维码类型 1-箱码 2-盖码")
    private Integer qrType;
}
