package com.abi.qms.platform.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author Eurus
 * @date 2021/5/31 11:53
 * @Description: 批量插入活动编辑申请码包关联子表 入参
 */
@Data
@ApiModel
public class BatchInsertActiveModifyApplyQrPackageColumnReq implements Serializable {

    @ApiModelProperty("修改申请表id")
    private Long applyId;

    @ApiModelProperty("活动id")
    private Long activeId;

    @ApiModelProperty("更新用户id")
    private Long updateBy;

    @ApiModelProperty("创建用户id")
    private Long createBy;

    @ApiModelProperty("码包id")
    private List<PackageAndModifyType> packageAndModifyTypeList;


    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @ApiModel(value = "BatchInsertActiveModifyApplyQrPackageColumnReq_PackageAndModifyType")
    public static class PackageAndModifyType implements Serializable {
        @ApiModelProperty("码包id")
        private Long qrPackageId;

        @ApiModelProperty("修改类型")
        private Integer modifyType;
    }
}
