package com.abi.qms.platform.dto.req;

import com.abi.qms.platform.dao.entity.QrRepertory;
import com.abi.qms.platform.dao.entity.QrRepertoryColumn;
import com.abi.task.common.utils.PojoConverterUtils;
import lombok.Data;

import java.util.List;

/**
 * 批量插入码库的列 Mapper入参
 *
 * @author WeiganCai
 * @date: 2021-04-26
 */
@Data
public class BatchInsertQrRepertoryColumnReq {

	/** 码库id */
	private Long qrRepertoryId;

	/** 创建人id */
	private Long createBy;

	/** 更新人id */
	private Long updateBy;

	/** 码库的列 */
	private List<QrRepertoryColumn> qrRepertoryColumnList;

	public BatchInsertQrRepertoryColumnReq(QrRepertory qrRepertory, List<SaveQrRepertoryColumnReq> qrRepertoryColumnList) {
		this.qrRepertoryId = qrRepertory.getId();
		this.createBy = qrRepertory.getCreateBy();
		this.updateBy = qrRepertory.getUpdateBy();
		this.qrRepertoryColumnList = PojoConverterUtils.copyList(qrRepertoryColumnList, QrRepertoryColumn.class);
	}
}
