package com.abi.qms.platform.dto.req;

import io.swagger.annotations.ApiModelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;

/**
 * @author:Andy.Tan
 * @Description: 校验订单号和物料重复入参
 */
@Data
@Schema
public class CheckQrPackageRepetitiveReq implements Serializable {

    @ApiModelProperty("码包id")
    private Long id;

    @NotEmpty(message = "SAP单号为空")
    @Size(max = 20, message = "SAP单号不能超过20字")
    @ApiModelProperty("SAP单号")
    private String sapOrderNo;

    @NotNull(message = "物料名称为空")
    @ApiModelProperty(value = "物料id")
    private Long materialId;
}
