package com.abi.qms.platform.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.Pattern;
import java.io.Serializable;

/**
 * @author:Andy.Tan
 * @Description: 创建用户入参
 */
@Data
@ApiModel
public class CreateUserReq implements Serializable {

  @NotEmpty(message = "用户名为空")
  @ApiModelProperty(value = "用户名")
  private String userName;

  @NotEmpty(message = "员工工号为空")
  @ApiModelProperty(value = "工号")
  private String employeeNo;

  @ApiModelProperty(value = "邮箱")
  private String email;

  @Pattern(regexp = "^1[0-9]{10}$", message = "手机格式不正确，请重新输入")
  @ApiModelProperty(value = "手机号")
  private String phone;

  @ApiModelProperty(value = "登录密码")
  private String password;

  @ApiModelProperty(value = "是否ABI")
  private Integer isAbi;

  @ApiModelProperty(value = "供应商id")
  private Long factoryId;

  @NotEmpty(message = "请选择角色")
  @ApiModelProperty(value = "角色code")
  private String roleCode;

}
