package com.abi.qms.platform.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 导入码数据入参
 *
 * @author WeiganCai
 * @date: 2021-05-11
 */
@Data
@ApiModel
public class ImportQrDataReq implements Serializable {

	@NotNull(message = "码包id为空")
	@ApiModelProperty(value = "码包id")
	private Long qrPackageId;

	@NotNull(message = "码数据文件为空")
	@ApiModelProperty(value = "码数据文件")
	private MultipartFile file;

}
