package com.abi.qms.platform.dto.req;

import com.abi.task.common.api.base.PageReq;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * @author Eurus
 * @date 2021/5/27 11:34
 * @Description: 分页查询关联的码包列表(新增页面) 入参
 */
@Data
@ApiModel
public class ListActivePackageAddReq extends PageReq implements Serializable {

    @ApiModelProperty("活动id")
    private Long activeId;

    @ApiModelProperty("码包id")
    private Long packageId;

    @ApiModelProperty("码类型 1-箱码 2-盖码")
    private Integer qrType;

    @ApiModelProperty("sku名称")
    private String skuName;

    @ApiModelProperty("所属品牌code")
    private List<String> brandCodeList;
}
