package com.abi.qms.platform.dto.req;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @author Eurus
 * @date 2021/5/31 14:43
 * @Description: 修改码活动（已审核通过） 入参
 */
@Data
@ApiModel
public class ResubmitActiveReq implements Serializable {

    @ApiModelProperty(value = "码活动id")
    private Long id;

    @ApiModelProperty(value = "活动名称")
    private String activeName;

    @ApiModelProperty(value = "活动类型 1-utc 2-bof 3-品质信息")
    private Integer activeType;

    @ApiModelProperty(value = "活动开始日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime beginTime;

    @ApiModelProperty(value = "活动结束日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime endTime;

    @ApiModelProperty(value = "活动tab页 1-统一URL ")
    private Integer urlTab;

    @ApiModelProperty(value = "活动域名")
    private String activeUrl;

}
