package com.abi.qms.platform.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * @author: fangxinjian
 * @date: 2021/04/20 10:18
 * @description:
 */
@Data
@ApiModel
public class SaveBoxCodeFormatReq implements Serializable {

    @ApiModelProperty(value = "id")
    private Long id;

    @NotEmpty(message = "箱码幅面名称不能为空")
    @ApiModelProperty(value = "箱码幅面名称")
    private String name;

    @NotNull(message = "码库不能为空")
    @ApiModelProperty(value = "码库id")
    private Long qrRepertoryId;

    @NotNull(message = "包材厂不能为空")
    @ApiModelProperty(value = "包材厂id")
    private Long factoryId;

    @NotNull(message = "每卷面标量不能为空")
    @ApiModelProperty(value = "每卷面标量")
    private Integer colorPerRollScalar;

    @NotNull(message = "幅面数量不能为空")
    @ApiModelProperty(value = "幅面数量")
    private Integer formatNumber;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "拆分数量列表")
    private List<SplitBean> splitBeanList;

    /**
     * 拆分数量 BEAN
     */
    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @ApiModel(value = "SaveBoxCodeFormatReq_SplitBean")
    public static class SplitBean implements Serializable {

        @ApiModelProperty("码库id")
        private Long repertoryId;

        @ApiModelProperty(value = "码库列id")
        private Long qrRepertoryColumnId;

        @ApiModelProperty(value = "拆分数量")
        private Integer splitNum;

        @ApiModelProperty(value = "拆分id")
        private Long splitId;

    }

}
