package com.abi.qms.platform.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import java.io.Serializable;
import java.util.List;

/**
 * 码格式新增修改入参
 *
 * @author WeiganCai
 * @date: 2021-04-20
 */
@Data
@ApiModel
public class SaveQrFormatReq implements Serializable {

    @ApiModelProperty("码格式id")
    private Long id;

    @NotNull(message = "码格式名称为空")
    @Pattern(regexp = "^[a-zA-Z-z0-9\\u4e00-\\u9fa5]{1,20}$", message = "码格式名称限制20字内的汉字or字母or数字")
    @ApiModelProperty("码格式名称")
    private String name;

    @NotNull(message = "数据类型为空")
    @ApiModelProperty("数据类型 0-纯数字 1-数字+字母")
    private Integer dataType;

    @ApiModelProperty("码变量")
    private List<String> codeVariable;

    @ApiModelProperty("码组成简介")
    private String brief;

    @ApiModelProperty("说明")
    private String illustrate;

    @ApiModelProperty("码预览")
    private String previewCode;

    @ApiModelProperty("位数")
    private Integer digit;

    @ApiModelProperty("理论不重复数量")
    private Long maxCount;

    @ApiModelProperty("是否验证唯一性 0-不验证，1-验证")
    private Integer verifyUnique;

}
