package com.abi.qms.platform.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author Eurus
 * @date 2021/4/19 18:29
 * @Description: 修改密码入参
 */
@Data
@ApiModel
public class UpdatePasswordReq implements Serializable {

    @NotNull(message = "用户id为空")
    @ApiModelProperty(value = "用户id")
    private Long id;

    @NotEmpty(message = "原密码为空")
    @ApiModelProperty(value = "原密码")
    private String oldPassword;

    @NotEmpty(message = "新密码为空")
    @ApiModelProperty(value = "新密码")
    private String newPassword;

}
