package com.abi.qms.platform.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * @author:Andy.Tan
 * @Description: 修改角色入参
 */
@Data
@ApiModel
public class UpdateRoleReq implements Serializable {

  @NotNull(message = "角色code为空")
  @ApiModelProperty(value = "角色code")
  private String roleCode;

  @NotNull(message = "角色名称为空")
  @ApiModelProperty(value = "角色name")
  private String roleName;

  @ApiModelProperty(value = "角色描述")
  private String roleDesc;

  @ApiModelProperty(value = "资源列表")
  private List<String> resourceCodeList;

  @ApiModelProperty(value = "激活小程序资源列表（里面只会有2种code: 1-主账号 2-子账号）")
  private List<Integer> activateMiniAppResourceCodeList;

}
