package com.abi.qms.platform.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author Eurus
 * @date 2021/5/19 20:16
 * @Description: 校验是否存在SAP订单号和物料重复数据 入参
 */
@Data
@ApiModel
public class ValidSAPOrderNoAndMaterialReq implements Serializable{

    @NotNull(message = "物料名称为空")
    @ApiModelProperty(value = "物料id")
    private Long materialId;

    @NotEmpty(message = "SAP单号为空")
    @ApiModelProperty("SAP单号")
    private String sapOrderNo;

    @ApiModelProperty("申请数量")
    private Long applyNumber;

}
