package com.abi.qms.platform.dto.res;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author:Andy.Tan
 * @Description: 批量导入出参
 */
@Data
@ApiModel
public class ExcelImportRes implements Serializable {

    @ApiModelProperty("成功数量")
    private Integer successCount;

    @ApiModelProperty("失败数量")
    private Integer failedCount;

    @ApiModelProperty("失败信息列表")
    private List<FailBean> failBeanList;

    /**
     * 失败信息
     */
    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @ApiModel(value = "FactoryExcelImportRes_FailBean")
    public static class FailBean implements Serializable {

        @ApiModelProperty(value = "第几行")
        private Integer index;

        @ApiModelProperty(value = "错误描述")
        private String errorMessage;

    }

}
