package com.abi.qms.platform.dto.res;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @author Eurus
 * @date 2021/6/1 10:20
 * @Description: 查询活动明细(重新提交申请单审核页面) 出参
 */
@Data
@ApiModel
public class GetActiveModifyApplyRes implements Serializable {


        @ApiModelProperty(value = "码活动申请单id")
        private Long id;

        @ApiModelProperty(value = "码活动id")
        private Long activeId;

        @ApiModelProperty(value = "活动code（即页面上的手输的活动id）")
        private String activeCode;

        @ApiModelProperty(value = "活动名称")
        private String activeName;

        @ApiModelProperty(value = "活动类型 1-utc 2-bof 3-品质信息")
        private Integer activeType;

        @ApiModelProperty(value = "活动开始日期")
        @JsonFormat(pattern = "yyyy-MM-dd")
        private LocalDateTime beginTime;

        @ApiModelProperty(value = "活动结束日期")
        @JsonFormat(pattern = "yyyy-MM-dd")
        private LocalDateTime endTime;

        @ApiModelProperty(value = "品牌code")
        private List<String> brandCodeList;

        @ApiModelProperty(value = "品牌名称")
        private List<String> brandNameList;

        @ApiModelProperty(value = "活动域名")
        private String activeUrl;

        @ApiModelProperty(value = "活动tab页 1-统一URL ")
        private Integer urlTab;



    //    6.03已废弃
//    @ApiModelProperty(value = "码活动")
//    private Active active;
//
//    @ApiModelProperty(value = "码包列表")
//    private ListActiveModifyApplyPackageRes listActiveModifyApplyPackageRes;
//
//    @Data
//    @NoArgsConstructor
//    @AllArgsConstructor
//    @ToString
//    @ApiModel(value = "GetActiveModifyApplyRes_Active")
//    public static class Active implements Serializable {
//        @ApiModelProperty(value = "码活动id")
//        private Long id;
//
//        @ApiModelProperty(value = "活动code（即页面上的手输的活动id）")
//        private String activeCode;
//
//        @ApiModelProperty(value = "活动名称")
//        private String activeName;
//
//        @ApiModelProperty(value = "活动类型 1-utc 2-bof 3-品质信息")
//        private Integer activeType;
//
//        @ApiModelProperty(value = "活动开始日期")
//        @JsonFormat(pattern = "yyyy-MM-dd")
//        private LocalDateTime beginTime;
//
//        @ApiModelProperty(value = "活动结束日期")
//        @JsonFormat(pattern = "yyyy-MM-dd")
//        private LocalDateTime endTime;
//
//        @ApiModelProperty(value = "品牌code")
//        private List<String> brandCodeList;
//
//        @ApiModelProperty(value = "品牌名称")
//        private List<String> brandNameList;
//
//        @ApiModelProperty(value = "活动域名")
//        private String activeUrl;
//
//        @ApiModelProperty(value = "活动tab页 1-统一URL ")
//        private Integer urlTab;
//    }
}
