package com.abi.qms.platform.dto.res;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 码格式查询详情出参
 *
 * @author WeiganCai
 * @date: 2021-04-21
 */
@Data
@ApiModel
public class GetQrFormatDetailRes implements Serializable {

	@ApiModelProperty("码格式id")
	private Long id;

	@ApiModelProperty("部门id")
	private Long deptId;

	@ApiModelProperty("码格式名称")
	private String name;

	@ApiModelProperty("数据类型")
	private Integer dataType;

	@ApiModelProperty("码变量")
	private String codeVariable;

	@ApiModelProperty("码变量对应的类")
	private String codeVariableBuildClass;

	@ApiModelProperty("码组成简介")
	private String brief;

	@ApiModelProperty("说明")
	private String illustrate;

	@ApiModelProperty("码预览")
	private String previewCode;

	@ApiModelProperty("位数")
	private Integer digit;

	@ApiModelProperty("理论不重复数量")
	private Long maxCount;

	@ApiModelProperty("是否验证唯一性 0-不验证，1-验证")
	private Integer verifyUnique;

	@ApiModelProperty("重复率状态 0-未验证 1-验证中  2-验证通过  3-验证不通过")
	private Integer uniqueStatus;

	@ApiModelProperty("使用状态 0-未使用 1-使用中  2-停用")
	private Integer useStatus;

	@ApiModelProperty(value = "创建时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private LocalDateTime createTime;

	@ApiModelProperty(value = "创建人id")
	private Long createBy;

	@ApiModelProperty(value = "修改时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private LocalDateTime updateTime;

	@ApiModelProperty(value = "修改人id")
	private Long updateBy;
}
