package com.abi.qms.platform.dto.res;

import com.abi.qms.platform.dao.vo.result.QrPackageBatchVO;
import com.abi.qms.platform.dao.vo.result.QrPackageDownloadRecordVO;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * 码库查询详情出参
 *
 * @author WeiganCai
 * @date: 2021-04-25
 */
@Data
@ApiModel
public class GetQrPackageDetailRes implements Serializable {

	@ApiModelProperty("码包id")
	private Long id;

	@ApiModelProperty(value = "物料id")
	private Long materialId;

	@ApiModelProperty(value = "物料号")
	private String materialCode;

	@ApiModelProperty("物料名称")
	private String materialName;

	@ApiModelProperty(value = "包材厂id")
	private Long factoryCoverId;

	@ApiModelProperty("包材厂名称")
	private String factoryCoverName;

	@ApiModelProperty("二级包材厂名称")
	private String factoryCoverLevelTwoName;

	@ApiModelProperty(value = "啤酒厂id")
	private Long factoryBeerId;

	@ApiModelProperty("啤酒厂名称")
	private String factoryBeerName;

	@ApiModelProperty("文件校验MD5")
	private String fileVerifyMd5;

	@ApiModelProperty(value = "备用码包")
	private Integer standbyRatio;

	@ApiModelProperty("箱码幅面id")
	private Long boxCodeFormatId;

	@ApiModelProperty("箱码幅面名称")
	private String boxCodeFormatName;

	@ApiModelProperty("码库id")
	private Long qrRepertoryId;

	@ApiModelProperty("码库名称")
	private String qrRepertoryName;

	@ApiModelProperty("码库类型")
	private Integer qrRepertoryType;

	@ApiModelProperty("SAP单号")
	private String sapOrderNo;

	@ApiModelProperty("预订单号")
	private String bookingOrder;

	@ApiModelProperty("码数量")
	private Long qrNumber;

	@ApiModelProperty("码类型")
	private Integer qrType;

	@ApiModelProperty("申请状态 0-待审核 1-审核通过 2-审核拒绝")
	private Integer applyStatus;

	@ApiModelProperty("生成状态 0-未生成 1-生成中 2-已生成 3-失败")
	private Integer generateStatus;

	@ApiModelProperty(value = "申请原因")
	private String reasonApply;

	@ApiModelProperty(value = "申请原因在审核页面的描述（该SAP订单号和物料已申请码包XXXXX，码数量XXXXX）")
	private String reasonDescForAudit;

	@ApiModelProperty("下载路径")
	private String downloadPath;

	@ApiModelProperty("是否已下载")
	private Integer isDownload;

	@ApiModelProperty(value = "二级包材厂id")
	private Long factoryCoverLevelTwoId;

	@ApiModelProperty(value = "是否一级包材厂")
	private Integer isFirstFactory;

	@ApiModelProperty("SAP采购数量")
	private Long purchaseCount;

	@ApiModelProperty(value = "创建时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private LocalDateTime createTime;

	@ApiModelProperty(value = "创建人id")
	private Long createBy;

	@ApiModelProperty(value = "创建人名称")
	private String createByName;

	@ApiModelProperty(value = "修改时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private LocalDateTime updateTime;

	@ApiModelProperty(value = "修改人id")
	private Long updateBy;

	@ApiModelProperty(value = "码包下载记录")
	private List<QrPackageDownloadRecordVO> qrPackageDownloadRecordList;

	@ApiModelProperty(value = "码包批次列表")
	private List<QrPackageBatchVO> qrPackageBatchVOList;
}
