package com.abi.qms.platform.dto.res;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author:Andy.Tan
 * @Description: 查询单个角色信息出参
 */
@Data
@ApiModel
public class GetRoleInfoRes implements Serializable {

  @ApiModelProperty(value = "角色code")
  private String roleCode;

  @ApiModelProperty(value = "上级角色code")
  private String parentRoleCode;

  @ApiModelProperty(value = "角色name")
  private String roleName;

  @ApiModelProperty(value = "角色描述")
  private String roleDesc;

  @ApiModelProperty("资源code列表")
  private List<String> resourceCodeList;

  @ApiModelProperty(value = "激活小程序资源列表（里面只会有2种code: 1-主账号 2-子账号）")
  private List<Integer> activateMiniAppResourceCodeList;

  @ApiModelProperty("子角色列表")
  private List<RoleInfoBean> subRoleInfoList;


  /**
   * 子角色bean
   */
  @Data
  @NoArgsConstructor
  @AllArgsConstructor
  @ToString
  @ApiModel(value = "GetRoleInfoRes_RoleInfoBean")
  public static class RoleInfoBean implements Serializable {

    @ApiModelProperty(value = "角色code")
    private String roleCode;

    @ApiModelProperty(value = "角色name")
    private String roleName;

  }
}
