package com.abi.qms.platform.dto.res;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author Eurus
 * @date 2021/6/24 14:14
 * @Description: 查询子账号详情(小程序) 出参
 */
@Data
@ApiModel
public class GetSubAccountWxRes implements Serializable {

    @ApiModelProperty(value = "用户id")
    private Long id;

    @ApiModelProperty(value = "用户名")
    private String userName;

    @ApiModelProperty(value = "工号")
    private String employeeNo;

    @ApiModelProperty(value = "手机号")
    private String phone;

    @ApiModelProperty(value = "邮箱")
    private String email;

    @ApiModelProperty(value = "供应商id")
    private Long factoryId;

    @ApiModelProperty(value = "产线名称列表")
    private List<ProductionLineName> productionLineNameList;

    /**
     * 产线bean
     */
    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @ApiModel(value = "GetSubAccountWxRes_ProductionLineName")
    public static class ProductionLineName implements Serializable {
        @ApiModelProperty(value = "啤酒厂员工产线关联id")
        private Long id;

        @ApiModelProperty(value = "产线名称")
        private String productionLineName;
    }
}
