package com.abi.qms.platform.dto.res;

import com.abi.task.common.api.base.PageResp;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author Eurus
 * @date 2021/6/1 10:09
 * @Description: 分页查询关联的码包列表(重新提交申请单审核页面) 出参
 */
@Data
@ApiModel
public class ListActiveModifyApplyPackageRes extends PageResp implements Serializable {

    @ApiModelProperty("码包列表")
    private List<PackageBean> packageBeanList;

    /**
     * 码包bean
     */
    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @ApiModel(value = "ListActiveModifyApplyPackageRes_Package")
    public static class PackageBean implements Serializable {

        @ApiModelProperty("码包id")
        private Long packageId;

        @ApiModelProperty("码类型 1-箱码 2-盖码")
        private Integer qrType;

        @ApiModelProperty("sku名称")
        private String skuName;

        @ApiModelProperty("品牌名称")
        private String brandName;

        @ApiModelProperty("上级品牌名称")
        private String parentBrandName;

        @ApiModelProperty("码数量")
        private Long qrNumber;

        @ApiModelProperty("修改类型: 1-新增 2-删除")
        private Integer modifyType;
    }
}
