package com.abi.qms.platform.dto.res;

import com.abi.task.common.api.base.PageResp;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @author:Andy.Tan
 * @Description: 分页查询活动出参
 */
@Data
@ApiModel
public class ListActiveRes extends PageResp implements Serializable {

    @ApiModelProperty(value = "活动列表")
    private List<ActiveBean> activeBeanList;

    /**
     * 活动bean
     */
    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @ApiModel(value = "ListActiveRes_Active")
    public static class ActiveBean implements Serializable {

        @ApiModelProperty(value = "码活动id")
        private Long id;

        @ApiModelProperty(value = "活动名称")
        private String activeName;

        @ApiModelProperty(value = "活动类型 1-utc 2-bof 3-品质信息")
        private Integer activeType;

        @ApiModelProperty(value = "码活动审核状态 1-待审核 2-通过 9-驳回")
        private Integer auditStatus;

        @ApiModelProperty(value = "申请单审核状态 1-待审核 2-通过 9-驳回")
        private Integer applyAuditStatus;

        @ApiModelProperty(value = "申请时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime applyTime;

        @ApiModelProperty(value = "申请人姓名")
        private String applyUserName;

        @ApiModelProperty(value = "活动开始日期")
        @JsonFormat(pattern = "yyyy-MM-dd")
        private LocalDateTime beginTime;

        @ApiModelProperty(value = "活动结束日期")
        @JsonFormat(pattern = "yyyy-MM-dd")
        private LocalDateTime endTime;

        @ApiModelProperty(value = "活动tab页 1-统一URL ")
        private Integer urlTab;

        @ApiModelProperty(value = "活动域名")
        private String activeUrl;

        @ApiModelProperty(value = "是否有效")
        private Integer valid;

        @ApiModelProperty(value = "有修改活动申请单 1-是 0-不是")
        private Integer isModifyApply;

    }
}
