package com.abi.qms.platform.dto.res;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author:Andy.Tan
 * @Description: 下拉选择品牌列表出参
 */
@Data
@Schema
public class ListBrandForSelectRes implements Serializable {

    @Schema(name = "品牌列表")
    List<BrandBean> brandBeanList;

    /**
    * 品牌bean
    */
    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @Schema(name = "ListBrandForSelectRes_BrandBean")
    public static class BrandBean implements Serializable {

        @Schema(name = "品牌code")
        private String brandCode;

        @Schema(name = "品牌名称")
        private String brandName;

        @Schema(name = "子品牌列表")
        List<BrandBean> subBrandBeanList;

    }

}
