package com.abi.qms.platform.dto.res;

import com.abi.task.common.api.base.PageResp;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @author:Andy.Tan
 * @Description: 部门查询分页出参
 */
@Data
@ApiModel
public class ListDeptRes extends PageResp implements Serializable {

    @ApiModelProperty("部门bean列表")
    private List<DeptBean> deptBeanList;

    /**
     * 部门bean
     */
    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @ApiModel(value = "ListDeptRes_DeptBean")
    public static class DeptBean implements Serializable {

        @ApiModelProperty(value = "id")
        private Long id;

        @ApiModelProperty(value = "部门id")
        private String deptCode;

        @ApiModelProperty(value = "部门名称")
        private String deptName;

        @ApiModelProperty(value = "部门url")
        private String deptUrl;

        @ApiModelProperty(value = "部门公众号")
        private String deptOfficialAccount;

        @ApiModelProperty(value = "描述")
        private String description;

        @ApiModelProperty(value = "是否有效 0-无效 1-有效")
        private Integer valid;

        @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime createTime;

        @ApiModelProperty(value = "创建人id")
        private Long createBy;

        @ApiModelProperty(value = "修改时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime updateTime;

    }

}
