package com.abi.qms.platform.dto.res;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author:Andy.Tan
 * @Description: 查询SAP订单关联的QMS物料列表出参
 */
@Data
@Schema
public class ListMaterialBySapOrderRes implements Serializable {

    @Schema(name = "sap物料订单明细")
    private List<OrderItemBean> orderItemBeanList;

    /**
     * 订单明细bean
     */
    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @Schema(name = "ListMaterialBySapOrderRes_OrderItemBean")
    public static class OrderItemBean implements Serializable {

        @Schema(name = "订单明细id")
        private Long id;

        @Schema(name = "sap物料id")
        private String sapMaterialId;

        @Schema(name = "sap物料名称")
        private String sapMaterialName;

    }
}
