package com.abi.qms.platform.dto.res;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author:Andy.Tan
 * @Description: 下拉选择物料列表出参
 */
@Data
@Schema
public class ListMaterialForSelectRes implements Serializable {

    @Schema(name = "物料列表")
    List<MaterialBean> materialBeanList;

    /**
    * 物流bean
    */
    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @Schema(name = "ListMaterialForSelectRes_MaterialBean")
    public static class MaterialBean implements Serializable {

        @Schema(name = "id")
        private Long id;

        @Schema(name = "物料名称")
        private String materialName;

    }

}
