package com.abi.qms.platform.dto.res;

import com.abi.task.common.api.base.PageResp;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @author: fangxinjian
 * @date: 2021/05/27 13:50
 * @description: 箱码合一分页查询出参
 */
@Data
@ApiModel
public class ListQrBoxCodeMappingRes extends PageResp implements Serializable {


    @ApiModelProperty("箱码合一列表")
    private List<QrBoxMappingBean> qrBoxMappingBeanList;


    /**
     * 箱码合一Bean
     */
    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @ApiModel(value = "ListQrBoxCodeMappingRes_QrBoxMappingBean")
    public static class QrBoxMappingBean implements Serializable {

        @ApiModelProperty(value = "id")
        private Long id;

        @ApiModelProperty(value = "条码序号")
        private String boxCode;

        @ApiModelProperty(value = "起始二维码")
        private String beginQrCode;

        @ApiModelProperty(value = "结束二维码")
        private String endQrCode;

        @ApiModelProperty(value = "起始序号")
        private Long indexBegin;

        @ApiModelProperty(value = "结束序号")
        private Long indexEnd;

        @ApiModelProperty(value = "条数")
        private Long qrCodeCount;

        @ApiModelProperty(value = "项目号")
        private String projectNo;

        @ApiModelProperty(value = "版号")
        private String boardNo;

        @ApiModelProperty(value = "备注")
        private String remark;

        @ApiModelProperty(value = "创建人姓名")
        private String createUserName;

        @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime createTime;

        @ApiModelProperty(value = "激活时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime activeTime;

        @ApiModelProperty(value = "激活人姓名")
        private String activeUserName;

        @ApiModelProperty(value = "激活厂商")
        private String factoryName;

        @ApiModelProperty(value = "激活状态 0-未激活 1-已激活")
        private Integer activeStatus;

        @ApiModelProperty(value = "码包id")
        private Long packageId;

        @ApiModelProperty(value = "是否作废 0-未作废 1-已作废")
        private Integer invalid;

    }


}
