package com.abi.qms.platform.dto.res;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author: fangxinjian
 * @date: 2021/06/09 09:57
 * @description: 小程序码包列表出参
 */
@Data
@ApiModel
public class ListQrPackageWxRes implements Serializable {

    @ApiModelProperty(value = "是否小程序用户主账号 1-是 0-不是")
    private Integer isMainAccount;

    @ApiModelProperty("码包列表")
    private List<QrPackageWxBean> qrPackageWxBeanList;

    /**
     * 码包Bean
     */
    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @ApiModel(value = "ListQrPackageWxRes_QrPackageWxBean")
    public static class QrPackageWxBean {

        @ApiModelProperty(value = "码包ID")
        private Long packageId;

        @ApiModelProperty(value = "活动名称")
        private String activeName;

        @ApiModelProperty(value = "物料名称")
        private String materialName;

        @ApiModelProperty(value = "激活箱数")
        private Integer activeBoxCount;

        @ApiModelProperty(value = "箱码总数")
        private Integer totalBoxCount;
    }

}
