package com.abi.qms.platform.dto.res;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author:Andy.Tan
 * @Description: 获取登录角色下级的角色树出参
 */
@Data
@ApiModel
public class ListResourceTreeByRoleCodeRes implements Serializable {

  @ApiModelProperty("资源列表")
  private List<ResourceBean> resourceBeanList;

    /**
     * 资源
     */
    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @ApiModel(value = "ListResourceTreeByRoleCodeRes_ResourceBean")
    public static class ResourceBean implements Serializable {

      @ApiModelProperty(value = "资源code")
      private String resourceCode;

      @ApiModelProperty(value = "资源名称")
      private String resourceName;

      @ApiModelProperty(value = "资源类型 1-页面路由 2-按钮 3-查看页面")
      private String resourceType;

      @ApiModelProperty(value = "资源内容")
      private String content;

      @ApiModelProperty("子资源列表 当返回要求是树形结构时，才会返回")
      private List<ResourceBean> resourceBeanList;

    }

}
