package com.abi.qms.platform.dto.res;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author Eurus
 * @date 2021/5/11 19:38
 * @Description: 获取选择的上级角色对应的菜单/操作权限树 出参
 */
@Data
@ApiModel
public class ListResourceTreeBySelectRoleCodeRes implements Serializable {

    @ApiModelProperty("资源列表")
    private List<ListResourceTreeBySelectRoleCodeRes.ResourceBean> resourceBeanList;

    /**
     * 资源
     */
    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @ApiModel(value = "ListResourceTreeBySelectRoleCodeRes_ResourceBean")
    public static class ResourceBean implements Serializable {

        @ApiModelProperty(value = "资源code")
        private String resourceCode;

        @ApiModelProperty(value = "资源名称")
        private String resourceName;

        @ApiModelProperty(value = "资源类型 1-页面路由 2-按钮 3-查看页面")
        private String resourceType;

        @ApiModelProperty(value = "资源内容")
        private String content;

        @ApiModelProperty("子资源列表 当返回要求是树形结构时，才会返回")
        private List<ListResourceTreeBySelectRoleCodeRes.ResourceBean> resourceBeanList;

    }
}
