package com.abi.qms.platform.dto.res;

import com.abi.task.common.api.base.PageResp;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @author:Andy.Tan
 * @Description: 查询角色列表出参
 */
@Data
@ApiModel
public class ListRoleRes extends PageResp implements Serializable {

  @ApiModelProperty("角色列表")
  private List<RoleBean> roleBeanList;

    /**
     * 角色
     */
    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @ApiModel(value = "ListRoleRes_RoleBean")
    public static class RoleBean implements Serializable {

      @ApiModelProperty(value = "角色code")
      private String roleCode;

      @ApiModelProperty(value = "角色名")
      private String roleName;

      @ApiModelProperty(value = "角色描述")
      private String roleDesc;

      @ApiModelProperty(value = "父角色名")
      private String parentRoleName;

      @ApiModelProperty(value = "是否启用")
      private Integer isEnable;

      @ApiModelProperty(value = "关联用户数")
      private Long userCount;

      @ApiModelProperty(value = "更新时间")
      @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
      private LocalDateTime updateTime;

    }

}
