package com.abi.qms.platform.dto.res;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author:Andy.Tan
 * @Description: 查询SAP啤酒厂列表出参
 */
@Data
@Schema
public class ListSapBeerFactoryRes implements Serializable {

    private List<SapBeerFactoryBean> sapBeerFactoryBeanList;

    /**
     * sap啤酒厂对象
     */
    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @Schema(name = "ListSapBeerFactoryRes_SapBeerFactoryBean")
    public static class SapBeerFactoryBean implements Serializable {

        @Schema(name = "sap啤酒厂id")
        private String sapBeerFactoryId;

        @Schema(name = "sap啤酒厂名称")
        private String sapBeerFactoryName;

    }

}
