package com.abi.qms.platform.dto.res;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author:Andy.Tan
 * @Description: 查询SAP包材场列表出参
 */
@Data
@Schema
public class ListSapCoverFactoryRes implements Serializable {

    private List<SapCoverFactoryBean> sapCoverFactoryBeanList;

    /**
     * sap供应商对象
     */
    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @Schema(name = "ListSapCoverFactoryRes_SapCoverFactoryBean")
    public static class SapCoverFactoryBean implements Serializable {

        @Schema(name = "sap供应商id")
        private String sapCoverFactoryId;

        @Schema(name = "sap供应商名称")
        private String sapCoverFactoryName;

        @Schema(name = "联系人姓名")
        private String keymanName;

        @Schema(name = "联系人手机号")
        private String keymanMobile;

    }

}
