package com.abi.qms.platform.dto.res;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author:Andy.Tan
 * @Description: 查询SAP物料列表出参
 */
@Data
@Schema
public class ListSapMaterialRes implements Serializable {

    private List<SapMaterialBean> sapMaterialBeanList;

    /**
    * sap物料对象
    */
    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @Schema(name = "ListSapMaterialRes_SapMaterialBean")
    public static class SapMaterialBean implements Serializable {

        @Schema(name = "sap物料id")
        private String sapMaterialId;

        @Schema(name = "sap物料名称")
        private String sapMaterialName;

    }
}
