package com.abi.qms.platform.dto.res;

import com.abi.qms.platform.dao.vo.result.ListProductionLineNameVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author Eurus
 * @date 2021/6/9 18:23
 * @Description: 查询子账号列表(小程序) 出参
 */
@Data
@ApiModel
public class ListSubAccountWxRes implements Serializable {

    @ApiModelProperty(value = "子账号列表")
    private List<SubAccount> subAccountList;

    /**
     * 产线bean
     */
    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @ApiModel(value = "ListSubAccountRes_ProductionLineName")
    public static class ProductionLineName implements Serializable {
        @ApiModelProperty(value = "啤酒厂员工产线关联id")
        private Long id;

        @ApiModelProperty(value = "产线名称")
        private String productionLineName;
    }

    /**
     * 子账号bean
     */
    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @ApiModel(value = "ListSubAccountRes_SubAccount")
    public static class SubAccount implements Serializable {
        @ApiModelProperty(value = "用户id")
        private Long id;

        @ApiModelProperty(value = "用户名")
        private String userName;

        @ApiModelProperty(value = "工号")
        private String employeeNo;

        @ApiModelProperty(value = "手机号")
        private String phone;

        @ApiModelProperty(value = "邮箱")
        private String email;

        @ApiModelProperty(value = "产线名称列表")
        private List<ProductionLineName> productionLineNameList;
    }

}
