package com.abi.qms.platform.dto.res;

import com.abi.task.common.api.base.PageResp;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @author ludashi
 * @date 2021年06月07日 10:53
 */
@Data
@ApiModel
public class QueryOrderFormLimitRes extends PageResp implements Serializable {

    @ApiModelProperty("预订单列表")
    List<QueryOrderFormLimitBean> queryOrderFormLimitBean;

    /**
     * 码格式Bean
     */
    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @ApiModel(value = "QueryOrderFormLimitRes_QueryOrderFormLimitBean")
    public static class QueryOrderFormLimitBean implements Serializable{

        @ApiModelProperty("预订ID")
        private Long id;

        @ApiModelProperty("预订单号")
        private String bookingOrder;

        @ApiModelProperty("SAP单号")
        private String sapOrderNo;

        @ApiModelProperty("物料名称")
        private String materialName;

        @ApiModelProperty("物料采购数量")
        private String purchaseCount;

        @ApiModelProperty("码类型")
        private String qrType;

        @ApiModelProperty("包材厂")
        private String factoryName;

        @ApiModelProperty("更新人")
        private String updateBy;

        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        @ApiModelProperty("更新时间")
        private LocalDateTime updateTime;

        @ApiModelProperty("描述")
        private String description;

        @ApiModelProperty("状态 1-已创建 2-已绑定")
        private String type;
    }
}
