package com.abi.qms.platform.dto.res;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author ludashi
 * @date 2021年06月07日 19:04
 */
@Data
@ApiModel
public class ReservationOrderQueryRes implements Serializable {

    @ApiModelProperty("预订单下拉框选项")
    List<ReservationOrderQueryBean> reservationOrderQueryBean;

    /**
     * 码格式Bean
     */
    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @ApiModel(value = "ReservationOrderQueryRes_ReservationOrderQueryBean")
    public static class ReservationOrderQueryBean implements Serializable{
        @ApiModelProperty("预订ID")
        private Long bookingOrderId;

        @ApiModelProperty("预订单号")
        private String bookingOrder;

        @ApiModelProperty("物料名称")
        private String materialName;

        @ApiModelProperty("码类型  1-箱码 2-盖码")
        private String qrType;

        @ApiModelProperty("物料采购数量")
        private String purchaseCount;

        @ApiModelProperty("包材厂")
        private String factoryName;

        @ApiModelProperty("是否一级包材厂")
        private Integer isFirstFactory;

        @ApiModelProperty("包材厂id")
        private Long factoryCoverId;
    }

}
