package com.abi.qms.platform.dto.res;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author: fangxinjian
 * @date: 2021/06/09 13:48
 * @description:
 */
@Data
@ApiModel
public class WxQrPackageDetailRes implements Serializable {

    @ApiModelProperty(value = "码包ID")
    private Long packageId;

    @ApiModelProperty(value = "活动ID")
    private Long activeId;

    @ApiModelProperty(value = "活动名称")
    private String activeName;

    @ApiModelProperty(value = "活动类型 1-utc 2-bof 3-品质信息")
    private Integer activeType;

    @ApiModelProperty(value = "SAP采购订单号")
    private String sapOrderNo;

    @ApiModelProperty(value = "物料名称")
    private String materialName;

    @ApiModelProperty(value = "盖码数量")
    private Integer capNum;

    @ApiModelProperty(value = "激活箱数")
    private Integer activeBoxCount;

    @ApiModelProperty(value = "箱码总数")
    private Integer totalBoxCount;

    @ApiModelProperty("箱码列表")
    private List<QrBoxMappingBean> qrBoxMappingBeanList;

    /**
     * 箱码bean
     */
    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @ApiModel(value = "WxQrPackageDetailRes_QrBoxMappingBean")
    public static class QrBoxMappingBean {

        @ApiModelProperty(value = "条码序号")
        private String boxCode;

        @ApiModelProperty(value = "激活状态 0-未激活 1-已激活")
        private Integer activeStatus;

    }


}
