package com.abi.qms.platform.infrastructure.config;

import com.alicloud.openservices.tablestore.SyncClient;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @className: com.abi.qms.platform.infrastructure.config-> TableStoreConf
 * @description:
 * @author: Marko.W
 * @createDate: 2021-06-18 15:56
 * @version: 1.0
 * @todo:
 */
@Configuration
public class TableStoreConf {

    @Value("${tableStore.endPoint}")
    private String endPoint;

    @Value("${tableStore.accessKeyId}")
    private String accessKeyId;

    @Value("${tableStore.accessKeySecret}")
    private String accessKeySecret;

    @Value("${tableStore.instanceName}")
    private String instanceName;



    /**
     * 创建SyncClient
     *
     * @return
     */
    @Bean
    public SyncClient client() {
        return new SyncClient(endPoint, accessKeyId, accessKeySecret, instanceName);
    }

}
