package com.abi.qms.platform.infrastructure.qr.build.children;

import com.abi.qms.platform.infrastructure.qr.build.parent.TimeBuildCode;

import java.util.Calendar;
import java.util.Map;

/**
 * 当前季度第【几】天
 *
 * @author WeiganCai
 * @date: 2021-04-19
 */
public class QD3BuildCode extends TimeBuildCode {

    @Override
    public String buildCode(Map<String, Object> paramMap) {
        // 所在季度
        String q1Code = new Q1BuildCode().buildCode(paramMap);

        Calendar calendar = Calendar.getInstance();
        // 一年中所在的天
        int currentDay= calendar.get(Calendar.DAY_OF_YEAR);
        int quarter = Integer.parseInt(q1Code);
        int[] months = {1, 4, 7, 10};
        // 设置calendar为新季度的第一天
        calendar.set(Calendar.MONTH, months[quarter - 1] - 1);
        calendar.set(Calendar.DAY_OF_MONTH, 1);
        // 计算差值，得到当前季度第【几】天
        String format = String.format("%02d", currentDay - calendar.get(Calendar.DAY_OF_YEAR) + 1);

        return q1Code + format;
    }

    public static void main(String[] args) {
        System.out.println(new QD3BuildCode().buildCode(null));
    }

}
