package com.abi.qms.platform.infrastructure.qr.build.children;

import com.abi.qms.platform.infrastructure.qr.build.parent.TimeBuildCode;

import java.util.Calendar;
import java.util.Map;

/**
 * 当前年份转换成62进制
 *
 * @author WeiganCai
 * @date: 2021-04-19
 */
public class Y4_62BuildCode extends TimeBuildCode {

    @Override
    public String buildCode(Map<String, Object> paramMap) {
        String code = new Y4BuildCode().buildCode(paramMap);
        return _10_to_62(Long.parseLong(code), 0, false);
    }

    @Override
    public long getMaxCount(Map<String, Object> paramMap) {
        String year = String.valueOf(getCalendar().get(Calendar.YEAR));
        return 9999 - Long.parseLong(year) + 1;
    }

}
