package com.abi.qms.platform.infrastructure.qr.build.parent;

import java.util.Map;

/**
 * 构建码的通用父类
 *
 * @author WeiganCai
 * @date 2021-04-19
 */
public abstract class BuildCode {
    /**
     * 生成码
     * @param paramMap 参数map，用于接收生成码要用的参数
     * @return 生成好的码
     */
    public abstract String buildCode(Map<String, Object> paramMap);

    /**
     * 理论最大不重复数量：若能够固定，则不用重写该方法，QrVariable中的effectiveQuantity就是不重复数量
     * @param paramMap 参数map，用于接收计算不重复数量要用的参数
     * @return 理论最大不重复数量
     */
    public long getMaxCount(Map<String, Object> paramMap) {
        return 0L;
    }
}
