//package com.abi.qms.platform.infrastructure.rabbitmq.config.common;
//
//import lombok.extern.slf4j.Slf4j;
//import org.springframework.amqp.core.Message;
//import org.springframework.amqp.rabbit.connection.CachingConnectionFactory;
//import org.springframework.amqp.rabbit.connection.ConnectionFactory;
//import org.springframework.amqp.rabbit.connection.CorrelationData;
//import org.springframework.amqp.rabbit.core.RabbitTemplate;
//import org.springframework.beans.factory.annotation.Qualifier;
//import org.springframework.beans.factory.annotation.Value;
//import org.springframework.context.annotation.Bean;
//import org.springframework.context.annotation.Configuration;
//import org.springframework.context.annotation.Primary;
//
//import static org.springframework.amqp.rabbit.connection.CachingConnectionFactory.ConfirmType.SIMPLE;
//
//@Configuration
//@Slf4j
//public class RabbitMqConfig {
//
//    @Bean(name = "firstConnectionFactory")
//    @Primary
//    public CachingConnectionFactory firstConnectionFactory(
//            @Value("${spring.rabbitmq.addresses}") String address,
//            @Value("${spring.rabbitmq.username}") String username,
//            @Value("${spring.rabbitmq.password}") String password,
//            @Value("${spring.rabbitmq.virtual-host}") String virtualHost) {
//        CachingConnectionFactory connectionFactory = new CachingConnectionFactory();
//        connectionFactory.setAddresses(address);
//        connectionFactory.setUsername(username);
//        connectionFactory.setPassword(password);
//        connectionFactory.setVirtualHost(virtualHost);
//        //    #确认消息已发送到交换机(Exchange)
//        connectionFactory.setPublisherConfirmType(SIMPLE);
//        //    #确认消息已发送到交换机(Exchange)
//        connectionFactory.setPublisherReturns(true);
//        return connectionFactory;
//    }
//
//    @Bean(name = "firstRabbitTemplate")
//    @Primary
//    public RabbitTemplate firstRabbitTemplate(
//            @Qualifier("firstConnectionFactory") ConnectionFactory connectionFactory) {
//        RabbitTemplate firstRabbitTemplate = new RabbitTemplate(connectionFactory);
//        firstRabbitTemplate.setMandatory(true);
//        firstRabbitTemplate.setConfirmCallback(
//                new RabbitTemplate.ConfirmCallback() {
//                    @Override
//                    public void confirm(
//                            CorrelationData correlationData, boolean ack, String cause) {
//                        log.info("ConfirmCallback:     " + "相关数据：" + correlationData);
//                        log.info("ConfirmCallback:     " + "确认情况：" + ack);
//                        log.info("ConfirmCallback:     " + "原因：" + cause);
//                    }
//                });
//
//        firstRabbitTemplate.setReturnCallback(
//                new RabbitTemplate.ReturnCallback() {
//                    @Override
//                    public void returnedMessage(
//                            Message message,
//                            int replyCode,
//                            String replyText,
//                            String exchange,
//                            String routingKey) {
//                        log.info("ReturnCallback:     " + "消息：" + message);
//                        log.info("ReturnCallback:     " + "回应码：" + replyCode);
//                        log.info("ReturnCallback:     " + "回应信息：" + replyText);
//                        log.info("ReturnCallback:     " + "交换机：" + exchange);
//                        log.info("ReturnCallback:     " + "路由键：" + routingKey);
//                    }
//                });
//
//        return firstRabbitTemplate;
//    }
//
//}
