package com.abi.qms.platform.infrastructure.rabbitmq.receiver;

import com.abi.qms.platform.infrastructure.rabbitmq.config.GenerateQrCodeMq;
import com.abi.qms.platform.service.GenerateCodeService;
import com.rabbitmq.client.Channel;
import lombok.extern.slf4j.Slf4j;
import org.springframework.amqp.core.Message;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.amqp.rabbit.listener.api.ChannelAwareMessageListener;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @author 生成二维码MQ消费者
 */

//@Component
@Slf4j
public class GenerateQrCodeMqReceiver implements ChannelAwareMessageListener {

    @Autowired
    private GenerateCodeService generateCodeService;


    @Override
    @RabbitListener(queues = GenerateQrCodeMq.QUEUE_NAME)
    public void onMessage(Message message, Channel channel) throws Exception {
        try {
            String messageInfo = new String(message.getBody(), "utf-8");
            generateCodeService.generateQrCode(Long.parseLong(messageInfo));
        } catch (Exception e) {
            log.error("DEMO异常:{}", e);
        }
    }

}
