package com.abi.qms.platform.infrastructure.util;

import lombok.extern.slf4j.Slf4j;

import java.util.Random;

import static com.abi.qms.platform.infrastructure.util.RandomCodeUtils.getCaptcha;

/**
 * 随机码工具类
 * @author AndyTan
 */
@Slf4j
public class RandomCodeUtils {
    /**
     * SecureRandom is preferred to Random
     */
    private static Random rand = new Random();


    /**
     * 返回长度为n的随机字符串（随机包含数字or小写字母）
     * @param n
     * @return
     */
    public static String getStr(int n) {
        //保存数字0-9 和 大小写字母
        String string = "0123456789abcdefghijklmnopqrstuvwxyz";
        //声明一个字符数组对象ch 保存 验证码
        char[] ch = new char[n];
        for (int i = 0; i < n; i++) {
            //创建一个新的随机数生成器
            //返回[0,string.length)范围的int值    作用：保存下标
            int index = rand.nextInt(string.length());
            //charAt() : 返回指定索引处的 char 值   ==》保存到字符数组对象ch里面
            ch[i] = string.charAt(index);
        }
        //将char数组类型转换为String类型保存到result
        String result = String.valueOf(ch);
        return result;
    }

    /**
     * 返回长度为n的验证码 内容纯数字
     * @return
     */
    public static String getCaptcha(int n) {
        StringBuilder result = new StringBuilder();
        char[] ch = new char[n];
        for (int i = 0; i < n; i++) {
            Integer e = rand.nextInt(10);
            result.append(e.toString());
        }

        return result.toString();
    }

}