package com.abi.qms.platform.infrastructure.util;

import com.abi.qms.platform.dao.entity.UserInfo;
import com.abi.qms.platform.dao.mapper.UserInfoMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 用户工具类
 *
 * @author AndyTan
 */
@Component
public class TokenUtil {

    /**
     * 仅token中的user信息
     */
    private static final InheritableThreadLocal<UserInfo> USER_THREAD_LOCAL = new InheritableThreadLocal();

    public static void setUser(UserInfo userInfo) {
        USER_THREAD_LOCAL.set(userInfo);
    }

    public static UserInfo getUser() {
        return USER_THREAD_LOCAL.get();
    }

}
