package com.abi.qms.platform.runner;

import com.abi.qms.platform.infrastructure.util.RSAUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.stereotype.Component;

import java.security.interfaces.RSAKey;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

import static com.abi.qms.platform.infrastructure.constant.RsaKey.RSA_PRIVATE_KEY;
import static com.abi.qms.platform.infrastructure.constant.RsaKey.RSA_PUBLIC_KEY;

/**
 * @className: com.abi.crm.runner-> CustomApplicationRunner
 * @description:
 * @author: Marko.W
 * @createDate: 2021-05-18 15:42
 * @version: 1.0
 * @todo:
 */
@Component
@Slf4j
public class CustomApplicationRunner implements ApplicationRunner {

    public static ConcurrentHashMap<String, RSAKey> globalRsaKeyMap = new ConcurrentHashMap<>();
    /**
     * 项目启动时  加载公钥私钥到本地缓存
     * @param args
     * @throws Exception
     */
    @Override
    public void run(ApplicationArguments args) throws Exception {
        Map<String, RSAKey> keyMap = RSAUtils.getKey();
        globalRsaKeyMap.put(RSA_PUBLIC_KEY,keyMap.get(RSA_PUBLIC_KEY));
        globalRsaKeyMap.put(RSA_PRIVATE_KEY,keyMap.get(RSA_PRIVATE_KEY));
    }

}
