package com.abi.qms.platform.service;


import com.abi.qms.platform.dao.entity.UserInfo;
import com.abi.qms.platform.dto.req.*;
import com.abi.qms.platform.dto.res.GetLoginUserInfoRes;
import com.abi.qms.platform.dto.res.LoginActivateRes;
import com.abi.qms.platform.dto.res.LoginRes;

/**
 * <p>
 * 登录
 * </p>
 *
 * @author Andy.Tan
 */
public interface LoginService {

    /**
     * 登录
     * @param req
     * @return
     */
    LoginRes loginConsole(LoginReq req);

    /**
     * 登录激活小程序
     * @param req
     * @return
     */
    LoginActivateRes loginActivate(LoginReq req);

    /**
     *重置密码
     * @param req
     * @return
     */
    void resetPassword(ResetPasswordReq req);

    /**
     * 修改密码
     * @return
     */
    void updatePassword(UpdatePasswordReq req);

    /**
     * 修改登录用户邮箱
     * @param updateLoginUserEmailReq
     * @throws Exception
     */
    void updateLoginUserEmail(UpdateLoginUserEmailReq updateLoginUserEmailReq) throws Exception;

    /**
     * 查询登录用户信息
     * @param getLoginUserInfoReq
     * @return
     * @throws Exception
     */
    GetLoginUserInfoRes getLoginUserInfo(GetLoginUserInfoReq getLoginUserInfoReq) throws Exception;



}
