package com.abi.qms.platform.service;

import com.abi.qms.platform.dto.req.QrBoxCodeFormatDetailReq;
import com.abi.qms.platform.dto.req.DeleteBoxCodeFormatreq;
import com.abi.qms.platform.dto.req.DisableBoxCodeFormatReq;
import com.abi.qms.platform.dto.req.EnableBoxCodeFormatReq;
import com.abi.qms.platform.dto.req.ListBoxCodeFormatReq;
import com.abi.qms.platform.dto.req.SaveBoxCodeFormatReq;
import com.abi.qms.platform.dto.res.QrBoxCodeFormatDetailRes;
import com.abi.qms.platform.dto.res.ListBoxCodeFormatRes;

/**
 * @author: fangxinjian
 * @date: 2021/04/20 09:49
 * @description: 箱码幅面管理
 */
public interface QrBoxCodeFormatService {

    /**
     * 新增或修改箱码幅面
     *
     * @param saveBoxCodeFormatReq 新增或修改箱码幅面入参
     */
    void saveBoxCodeFormat(SaveBoxCodeFormatReq saveBoxCodeFormatReq);

    /**
     * 分页查询箱码幅面
     *
     * @param listBoxCodeFormatReq 分页查询箱码幅面入参
     * @return 分页查询箱码幅面
     */
    ListBoxCodeFormatRes listBoxCodeFormat(ListBoxCodeFormatReq listBoxCodeFormatReq);

    /**
     * 箱码幅面详情信息
     *
     * @param qrBoxCodeFormatDetailReq 箱码详情入参
     * @return 箱码幅面详情信息
     */
    QrBoxCodeFormatDetailRes getBoxCodeFormatDetail(QrBoxCodeFormatDetailReq qrBoxCodeFormatDetailReq);

    /**
     * 启用箱码幅面
     *
     * @param enableBoxCodeFormatReq 启用箱码幅面入参
     */
    void enableBoxCodeFormat(EnableBoxCodeFormatReq enableBoxCodeFormatReq);

    /**
     * 停用箱码幅面
     *
     * @param disableBoxCodeFormatReq 停用箱码幅面
     */
    void disableBoxCodeFormat(DisableBoxCodeFormatReq disableBoxCodeFormatReq);

    /**
     * 删除箱码幅面
     *
     * @param deleteBoxCodeFormatreq
     */
    void deleteBoxCodeFormat(DeleteBoxCodeFormatreq deleteBoxCodeFormatreq);
}