package com.abi.qms.platform.service;

import com.abi.qms.platform.dto.req.DeleteQrRepertoryReq;
import com.abi.qms.platform.dto.req.DisableQrRepertoryReq;
import com.abi.qms.platform.dto.req.EnableQrRepertoryReq;
import com.abi.qms.platform.dto.req.GetQrRepertoryDetailReq;
import com.abi.qms.platform.dto.req.ListQrRepertoryReq;
import com.abi.qms.platform.dto.req.ListQrRepertorySelectDetailReq;
import com.abi.qms.platform.dto.req.SaveQrRepertoryReq;
import com.abi.qms.platform.dto.res.GetQrRepertoryDetailRes;
import com.abi.qms.platform.dto.res.ListQrRepertoryRes;
import com.abi.qms.platform.dto.res.ListQrRepertorySelectRes;
import com.abi.qms.platform.dto.res.ListQrRepertorySelectDetailRes;

/**
 * 码库 Service接口
 *
 * @author WeiganCai
 * @date 2021-04-25
 */
public interface QrRepertoryService {

    /**
     * 保存码库
     */
    void saveQrRepertory(SaveQrRepertoryReq saveQrRepertoryReq);

    /**
     * 码库查询分页
     */
    ListQrRepertoryRes listQrRepertory(ListQrRepertoryReq listQrRepertoryReq);

    /**
     * 码库查询详情
     */
    GetQrRepertoryDetailRes getQrRepertoryDetail(GetQrRepertoryDetailReq getQrRepertoryDetailReq);

    /**
     * 码库启用
     */
    void enableQrRepertory(EnableQrRepertoryReq enableQrRepertoryReq);

    /**
     * 码库禁用
     */
    void disableQrRepertory(DisableQrRepertoryReq disableQrRepertoryReq);

    /**
     * 删除码库
     */
    void deleteQrRepertory(DeleteQrRepertoryReq deleteQrRepertoryReq);

    /**
     * 查询码库下拉列表数据
     *
     * @return
     */
    ListQrRepertorySelectRes listQrRepertorySelectRes();

    /**
     * 码库下拉详情
     *
     * @param req
     * @return
     */
    ListQrRepertorySelectDetailRes listQrRepertorySelectDetail(ListQrRepertorySelectDetailReq req);
}
