package com.abi.qms.platform.service;


import com.abi.qms.platform.dto.req.*;
import com.abi.qms.platform.dto.res.*;

/**
 * <p>
 * sap基础数据查询
 * </p>
 *
 * @author Andy.Tan
 */
public interface SapBaseQueryService{

    /**
     * 查询SAP物料列表
     * @param listSapMaterialReq
     * @return
     * @throws Exception
     */
    ListSapMaterialRes listSapMaterial(ListSapMaterialReq listSapMaterialReq) throws Exception;

    ListSapCoverFactoryRes listSapCoverFactory(ListSapCoverFactoryReq listSapCoverFactoryReq) throws Exception;

    ListSapBeerFactoryRes listSapBeerFactory(ListSapBeerFactoryReq listSapBeerFactoryReq) throws Exception;

    /**
     * 查询SAP订单列表
     * @param listSapCodePackageOrderReq
     * @return
     * @throws Exception
     */
    ListSapCodePackageOrderRes listSapCodePackageOrder(ListSapCodePackageOrderReq listSapCodePackageOrderReq) throws Exception;

    /**
     * 查询SAP订单关联的QMS物料列表
     * @param listMaterialBySapOrderReq
     * @return
     * @throws Exception
     */
    ListMaterialBySapOrderRes listMaterialBySapOrder(ListMaterialBySapOrderReq listMaterialBySapOrderReq) throws Exception;


}
