package com.abi.qms.platform.service;

import com.abi.qms.platform.dao.entity.UserResource;

import java.util.List;

/**
 * 页面资源管理
 * @author Andy.Tan
 */
public interface UserResourceService {

    /**
     * 通过resourceCode列表查询resource对象列表
     * @param codeList
     * @return
     */
    List<UserResource> listUserResourceByCodes(List<String> codeList);

    /**
     * 通过资源code获取资源对象
     * @param resourceCode
     * @return
     */
    UserResource getUserResourceByCode(String resourceCode);

    /**
     * 保存角色资源
     * @param roleCode
     * @param resourceCodeList
     */
    void saveUserResourceMapping(String roleCode,List<String> resourceCodeList);

    /**
     * 删除某个角色下的指定资源列表
     * @param roleCode
     * @param needDeleteResourceList
     */
    void deleteResourceMapping(String roleCode,List<String> needDeleteResourceList);

    /**
     * 查询角色名下所有资源
     * @param roleCode
     * @return
     */
    List<String> listResourceByRoleCode(String roleCode);





}
