package com.abi.qms.platform.service.impl;

import com.abi.qms.platform.dao.entity.QrPackageBatch;
import com.abi.qms.platform.dao.mapper.QrPackageBatchMapper;
import com.abi.qms.platform.dto.req.UpdateQrPackageBatchReq;
import com.abi.qms.platform.infrastructure.util.AssertUtil;
import com.abi.qms.platform.service.QrPackageBatchService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 批次信息Service 业务处理层
 */
@Service
@Slf4j
public class QrPackageBatchServiceImpl implements QrPackageBatchService {

    @Autowired
    private QrPackageBatchMapper qrPackageBatchMapper;

    /**
     * 根据ID修改批次号
     * @param updateQrPackageBatchReq
     */
    @Override
    public void updateQrPackageBatchReq(UpdateQrPackageBatchReq updateQrPackageBatchReq) {

        QrPackageBatch qrPackageBatch = qrPackageBatchMapper.selectById(updateQrPackageBatchReq.getId());
        AssertUtil.isNull(qrPackageBatch,"批次信息不存在");

        qrPackageBatch.setBatchNumber(updateQrPackageBatchReq.getBatchNumber());
        qrPackageBatchMapper.updateById(qrPackageBatch);

    }
}
