package com.abi.qms.platform;

import cn.hutool.json.JSONUtil;
import com.abi.task.common.tablestore.TableStoreUtils;
import com.alicloud.openservices.tablestore.model.*;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

/**
 * @author: fangxinjian
 * @date: 2021/04/15 13:53
 * @description:
 */
@SpringBootTest
@Slf4j
public class TableStoreTest {

    @Autowired
    private TableStoreUtils tableStoreUtils;

    private static String TABLENAME = "iqms_qr_code";
    private static String PRIMARYKEYNAME = "qr_code";

    //查看数据表
    @Test
    public void listTableTest() {
        List<String> listTable = tableStoreUtils.listTable();
        System.out.println("===查看数据表===" + JSONUtil.toJsonStr(listTable));
    }
//
//    //删除数据表
//    @Test
//    public void deleteTableTest() {
//        DeleteTableRequest request = new DeleteTableRequest(TABLENAME);
//        tableStoreUtils.deleteTable(request);
//    }

    //创建数据表
    @Test
    public void createTableTest() {
        tableStoreUtils.createTable(TABLENAME, PRIMARYKEYNAME);

    }

    //插入一行数据
    @Test
    public void putRow() {

        List<Column> columns = new ArrayList<>();
        Column column = new Column("ee", ColumnValue.fromString("19"));
        columns.add(column);

        tableStoreUtils.putRow(PRIMARYKEYNAME, "00005", TABLENAME, columns);
    }

    //读取一行数据
    @Test
    public void getRowTest() {
        Row row = tableStoreUtils.getRow(PRIMARYKEYNAME, "00001", TABLENAME);
        System.out.println("===读取单行数据===" + JSONUtil.toJsonStr(row.getColumns()));
    }

    //单行读取一行某一列的数据
    @Test
    public void getColumnRowTest() {
        Row columnRow = tableStoreUtils.getColumnRow(PRIMARYKEYNAME, "00001", TABLENAME, "aa");
        System.out.println("===单行读取一行某一列的数据===" + Arrays.toString(columnRow.getColumns()));
    }


    //更新一行数据
    @Test
    public void updateRowTest() {
        tableStoreUtils.updateRow(PRIMARYKEYNAME, "00001", TABLENAME, "bb", "66");
    }

    //删除某列数据
    @Test
    public void deleteColumnTest() {
        tableStoreUtils.deleteColumn(PRIMARYKEYNAME,"00001",TABLENAME,"aa");
    }

    //删除一行数据
    @Test
    public void deleteRowTest() {
        tableStoreUtils.deleteRow(PRIMARYKEYNAME,"00002",TABLENAME);
    }


    @Test
    public void updateTable(){
        String tableName = "qr_code";
        UpdateTableResponse response = tableStoreUtils.updateTable(100000,tableName);
        log.info("更新表结构吞吐:{}",JSONUtil.toJsonStr(response));
    }
}
