package com.abi.qms.platform.dao.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * 码格式变量 对象 qr_variable
 *
 * @author WeiganCai
 * @date 2021-04-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="码格式变量对象", description="码格式变量信息")
public class QrVariable {

    @ApiModelProperty("码格式变量id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("参数对象")
    private String paramObject;

    @ApiModelProperty("参数名称")
    private String paramName;

    @ApiModelProperty("简述")
    private String brief;

    @ApiModelProperty("参数说明")
    private String paramDescription;

    @ApiModelProperty("示例")
    private String sample;

    @ApiModelProperty("参数类型 0-时间参数 1-随机参数 2-流水号参数 3-固定值参数")
    private Integer paramType;

    @ApiModelProperty("构造的类")
    private String buildCodeClass;

    @ApiModelProperty("取值范围")
    private String rangeOfValue;

    @ApiModelProperty("有效数量")
    private String effectiveQuantity;

    @ApiModelProperty("数据类型 0-纯数字 1-数字+字母")
    private Integer dataType;

    @ApiModelProperty("位数")
    private Integer digit;

    @ApiModelProperty("程序显示位数")
    private Integer programDisplayDigit;

    @ApiModelProperty("变化频率")
    private String changeFrequency;

    @ApiModelProperty("排序号")
    private Long sortNumber;

    @ApiModelProperty(value = "是否有效 0-无效 1-有效")
    private Integer valid;

    @ApiModelProperty("备注")
    private String remarks;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @ApiModelProperty(value = "创建人id")
    @TableField(fill = FieldFill.INSERT)
    private Long createBy;

    @ApiModelProperty(value = "修改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "是否删除")
    private Integer isDelete;

    @ApiModelProperty(name = "修改人id")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateBy;
}
