package com.abi.qms.platform.dto.res;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * 码格式变量查询详情出参
 *
 * @author WeiganCai
 * @date: 2021-05-06
 */
@Data
@ApiModel
public class GetQrVariableDetailRes {

	@ApiModelProperty("码格式变量id")
	@TableId(value = "id", type = IdType.AUTO)
	private Long id;

	@ApiModelProperty("参数对象")
	private String paramObject;

	@ApiModelProperty("参数名称")
	private String paramName;

	@ApiModelProperty("简述")
	private String brief;

	@ApiModelProperty("参数说明")
	private String paramDescription;

	@ApiModelProperty("示例")
	private String sample;

	@ApiModelProperty("参数类型 0-时间参数 1-随机参数 2-流水号参数 3-固定值参数")
	private Integer paramType;

	@ApiModelProperty("构造的类")
	private String buildCodeClass;

	@ApiModelProperty("取值范围")
	private String rangeOfValue;

	@ApiModelProperty("有效数量")
	private String effectiveQuantity;

	@ApiModelProperty("数据类型 0-纯数字 1-数字+字母")
	private Integer dataType;

	@ApiModelProperty("位数")
	private Integer digit;

	@ApiModelProperty("程序显示位数")
	private Integer programDisplayDigit;

	@ApiModelProperty("变化频率")
	private String changeFrequency;

	@ApiModelProperty("排序号")
	private Long sortNumber;

	@ApiModelProperty(value = "是否有效 0-无效 1-有效")
	private Integer valid;

	@ApiModelProperty("备注")
	private String remarks;

	@ApiModelProperty(value = "创建时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private LocalDateTime createTime;

	@ApiModelProperty(value = "创建人id")
	private Long createBy;

	@ApiModelProperty(value = "修改时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private LocalDateTime updateTime;

	@ApiModelProperty(value = "修改人id")
	private Long updateBy;
}
