package com.abi.qms.platform.dto.res;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * 码格式变量查询分页出参
 *
 * @author WeiganCai
 * @date: 2021-04-20
 */
@Data
@ApiModel
public class ListQrVariableRes implements Serializable {

    @ApiModelProperty("码格式变量列表")
    private List<ListQrVariableRes.QrVariableBean> qrVariableBeanList;

    /**
     * 码格式变量bean
     */
    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @ApiModel(value = "ListQrVariableRes_QrVariableBean")
    public static class QrVariableBean implements Serializable {

        @ApiModelProperty("码格式变量id")
        private Long id;

        @ApiModelProperty("参数对象")
        private String paramObject;

        @ApiModelProperty("参数名称")
        private String paramName;

        @ApiModelProperty("简述")
        private String brief;

        @ApiModelProperty("参数说明")
        private String paramDescription;

        @ApiModelProperty("示例")
        private String sample;

        @ApiModelProperty("参数类型 0-时间参数 1-随机参数 2-流水号参数 3-固定值参数")
        private Integer paramType;

        @ApiModelProperty("构造的类")
        private String buildCodeClass;

        @ApiModelProperty("取值范围")
        private String rangeOfValue;

        @ApiModelProperty("有效数量")
        private String effectiveQuantity;

        @ApiModelProperty("数据类型 0-纯数字 1-数字+字母")
        private Integer dataType;

        @ApiModelProperty("位数")
        private Integer digit;

        @ApiModelProperty("程序显示位数")
        private Integer programDisplayDigit;

        @ApiModelProperty("变化频率")
        private String changeFrequency;

        @ApiModelProperty("排序号")
        private Long sortNumber;

        @ApiModelProperty(value = "是否有效 0-无效 1-有效")
        private Integer valid;

        @ApiModelProperty("备注")
        private String remarks;

        @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime createTime;

        @ApiModelProperty(value = "创建人id")
        private Long createBy;

        @ApiModelProperty(value = "修改时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime updateTime;

    }

}
